/***********************************************************/
/*                                                         */
/* THIS IS A DEMO PROGRAM FOR THE C6x01 timer              */
/* IT ACTUALLY ALSO USES THE UMI OUT FROM A HERON MODULE   */
/*                                                         */
/*                                                         */
/*     JT    ver 1.0    15/5/00   first written            */
/*     PW    ver 2.0    14-7-00  changed for CCS 1.2       */
/***********************************************************/


#include <stdio.h>
#include <std.h>

#include "heron1.h"


void main(void)
{
}

void maintask(void)
{
/* WARNING the default stack size for this task ( maintask) defined in    */
/* the cdb file is 8192 bytes                                             */
/* This means that you cannot statically declare more than 2048 integers  */
/* in this task.                                                          */
/* You can increase the stack size allowed by changing the settings for   */
/* the task in the cdb file.                                              */
/* If you need more than 2048 integers, it is better to use Malloc/Free   */
/* to allocate your data buffers 					  */

	int i, p=1, c, f;

	for (i=0; i<20; i++)
	{
		c = output_clock(20000/p);	/* freq in kHz */
		f = 166666/(8*c);			/* actual freq */
		printf("Programmed: %2d cycles. Frequency %5d kHz, requested %5d kHz.\n", c, f, 20000/p);
		p++;
	}
} /* end maintask */