/************************************************************/
/*                                                          */
/* THIS IS A DEMO PROGRAM FOR THE HUNT ENGINEERING          */
/* EXAMPLE OF USING A C6000 TIMER TO DIVIDE A CLOCK         */
/* INPUT ON UMI0 AND OUTPUT ON UMI1                         */
/*                                                          */
/*                                                          */
/*     PW    ver 1.0    13/5/02   first written             */
/*                                                          */
/************************************************************/


#include <stdio.h>
#include <std.h>
#include <sem.h>
#include <math.h>

/* Use HERON-API for heron1 so you need the next include line*/
#include "heron4.h"

 
extern void divide_clock1(int ratio);                            


        
main()
{
}        
        


maintask (void)
{
/* WARNING the default stack size for this task ( maintask) defined in    */
/* the cdb file is 8192 bytes                                             */
/* This means that you cannot statically declare more than 2048 integers  */
/* in this task.                                                          */
/* You can increase the stack size allowed by changing the settings for   */
/* the task in the cdb file.                                              */
/* If you need more than 2048 integers, it is better to use Malloc/Free   */
/* to allocate your data buffers 					  */

unsigned int dontcare;

/* set up the timer to divide the clock by 8 */

	HeronUmi0_In(HERON_UMI_TIMER1,&dontcare);		/* Input clock signal from UMI0 to timer0 */
	HeronUmi1_Out(HERON_UMI_TIMER1);		/* Output clock signal to  UMI1 from timer0 */
	divide_clock1(8);		/* call a function to divide the clock using a timer      */



	printf("The timer is configured\n");


} /* end maintask */

