;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.20 *
;* Date/Time created: Fri Jul 26 16:41:26 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 2                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o2, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.file	"flaspro2.c"
	.global	_boot_array
	.bss	_boot_array,4,4
	.sym	_boot_array,_boot_array, 28, 2, 32

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_top+0,32
	.field  	0,32			; _top @ 0
	.sect	".text"
	.global	_top
_top:	.usect	".bss:c",4,4
	.sym	_top,_top, 14, 2, 32
	.global	_bootloader
	.bss	_bootloader,4,4
	.sym	_bootloader,_bootloader, 4, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	8192,32			; _app @ 0
	.sect	".text"
	.global	_app
_app:	.usect	".bss:c",4,4
	.sym	_app,_app, 14, 2, 32
;	C:\TI\C6000\CGTOOLS\BIN\opt6x.exe -v6203 -O2 C:\WINDOWS\TEMP\TI372233_2 C:\WINDOWS\TEMP\TI372233_4 
   .sect   .vectors
l0:        nop     
   nop     
   b.s2    l0
   nop     
   nop     
   nop     
   nop     
   nop     
l1:        nop     
   nop     
   b.s2    l1
   nop     
   nop     
   nop     
   nop     
   nop     
l2:        nop     
   nop     
   b.s2    l2
   nop     
   nop     
   nop     
   nop     
   nop     
l3:        nop     
   nop     
   b.s2    l3
   nop     
   nop     
   nop     
   nop     
   nop     
l4:        nop     
   nop     
   b.s2    l4
   nop     
   nop     
   nop     
   nop     
   nop     
l5:        nop     
   nop     
   b.s2    l5
   nop     
   nop     
   nop     
   nop     
   nop     
l6:        nop     
   nop     
   b.s2    l6
   nop     
   nop     
   nop     
   nop     
   nop     
l7:        nop     
   nop     
   b.s2    l7
   nop     
   nop     
   nop     
   nop     
   nop     
l8:        nop     
   nop     
   b.s2    l8
   nop     
   nop     
   nop     
   nop     
   nop     
l9:        nop     
   nop     
   b.s2    l9
   nop     
   nop     
   nop     
   nop     
   nop     
la:        nop     
   nop     
   b.s2    la
   nop     
   nop     
   nop     
   nop     
   nop     
lb:        nop     
   nop     
   b.s2    lb
   nop     
   nop     
   nop     
   nop     
   nop     
lc:        nop     
   nop     
   b.s2    lc
   nop     
   nop     
   nop     
   nop     
   nop     
ld:        nop     
   nop     
   b.s2    ld
   nop     
   nop     
   nop     
   nop     
   nop     
le:        nop     
   nop     
   b.s2    le
   nop     
   nop     
   nop     
   nop     
   nop     
lf:        nop     
   nop     
   b.s2    lf
   nop     
   nop     
   nop     
   nop     
   nop     
l10:        nop     
   nop     
   b.s2    l10
   nop     
   nop     
   nop     
   nop     
   nop     
l11:        nop     
   nop     
   b.s2    l11
   nop     
   nop     
   nop     
   nop     
   nop     
l12:        nop     
   nop     
   b.s2    l12
   nop     
   nop     
   nop     
   nop     
   nop     
l13:        nop     
   nop     
   b.s2    l13
   nop     
   nop     
   nop     
   nop     
   nop     
l14:        nop     
   nop     
   b.s2    l14
   nop     
   nop     
   nop     
   nop     
   nop     
l15:        nop     
   nop     
   b.s2    l15
   nop     
   nop     
   nop     
   nop     
   nop     
l16:        nop     
   nop     
   b.s2    l16
   nop     
   nop     
   nop     
   nop     
   nop     
l17:        nop     
   nop     
   b.s2    l17
   nop     
   nop     
   nop     
   nop     
   nop     
l18:        nop     
   nop     
   b.s2    l18
   nop     
   nop     
   nop     
   nop     
   nop     
l19:        nop     
   nop     
   b.s2    l19
   nop     
   nop     
   nop     
   nop     
   nop     
l1a:        nop     
   nop     
   b.s2    l1a
   nop     
   nop     
   nop     
   nop     
   nop     
l1b:        nop     
   nop     
   b.s2    l1b
   nop     
   nop     
   nop     
   nop     
   nop     
l1c:        nop     
   nop     
   b.s2    l1c
   nop     
   nop     
   nop     
   nop     
   nop     
l1d:        nop     
   nop     
   b.s2    l1d
   nop     
   nop     
   nop     
   nop     
   nop     
l1e:        nop     
   nop     
   b.s2    l1e
   nop     
   nop     
   nop     
   nop     
   nop     
l1f:        nop     
   nop     
   b.s2    l1f
   nop     
   nop     
   nop     
   nop     
   nop     
	.sect	".text"
	.global	_auto_select_command
	.sym	_auto_select_command,_auto_select_command, 32, 2, 0
	.func	34

;******************************************************************************
;* FUNCTION NAME: _auto_select_command                                        *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,B4                                          *
;*   Regs Used         : A0,A3,A4,B3,B4                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_auto_select_command:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_flash,0, 30, 4, 32
	.line	5
           MVKL    .S1     0xaa00aa,A3       ; |38| 

           MVK     .S1     21845,A4          ; |38| 
||         ZERO    .D1     A0                ; |38| 

           MVKH    .S1     0x1400000,A0      ; |38| 
           MVKH    .S1     0xaa00aa,A3       ; |38| 
           STW     .D1T1   A3,*+A0[A4]       ; |38| 
	.line	6
   NOP     5
	.line	7
   NOP     5
	.line	8
   NOP     5
	.line	9
   NOP     5
	.line	10
   NOP     5
	.line	11
   NOP     5
	.line	12
   NOP     5
	.line	13
   NOP     5
	.line	14
   NOP     5
	.line	15
   NOP     5
	.line	16
   NOP     5
	.line	17
   NOP     5
	.line	18
   NOP     5
	.line	19
   NOP     5
	.line	20
   NOP     5
	.line	21
   NOP     5
	.line	22
   NOP     5
	.line	23
   NOP     5
	.line	24
           MVKL    .S2     0x550055,B4       ; |57| 

           MVK     .S1     10922,A3          ; |57| 
||         MVKH    .S2     0x550055,B4       ; |57| 

           STW     .D1T2   B4,*+A0[A3]       ; |57| 
	.line	25
   NOP     5
	.line	26
   NOP     5
	.line	27
   NOP     5
	.line	28
   NOP     5
	.line	29
   NOP     5
	.line	30
   NOP     5
	.line	31
   NOP     5
	.line	32
   NOP     5
	.line	33
   NOP     5
	.line	34
   NOP     5
	.line	35
   NOP     5
	.line	36
   NOP     5
	.line	37
   NOP     5
	.line	38
   NOP     5
	.line	39
   NOP     5
	.line	40
   NOP     5
	.line	41
   NOP     5
	.line	42
   NOP     5
	.line	43
           MVKL    .S2     0x900090,B4       ; |76| 

           MVK     .S1     21845,A3          ; |76| 
||         MVKH    .S2     0x900090,B4       ; |76| 

           STW     .D1T2   B4,*+A0[A3]       ; |76| 
	.line	44
   NOP     5
	.line	45
   NOP     5
	.line	46
   NOP     5
	.line	47
   NOP     5
	.line	48
   NOP     5
	.line	49
   NOP     5
	.line	50
   NOP     5
	.line	51
   NOP     5
	.line	52
   NOP     5
	.line	53
   NOP     5
	.line	54
   NOP     5
	.line	55
   NOP     5
	.line	56
   NOP     5
	.line	57
   NOP     5
	.line	58
   NOP     5
	.line	59
   NOP     5
	.line	60
   NOP     5
	.line	61
   NOP     5
	.line	62
   NOP     5
	.line	63
   NOP     5
	.line	64
   NOP     5
	.line	65
   NOP     5
	.line	66
   NOP     5
	.line	67
   NOP     5
	.line	68
   NOP     5
	.line	69
   NOP     5
	.line	70
   NOP     5
	.line	71
   NOP     5
	.line	72
   NOP     5
	.line	73
   NOP     5
	.line	74
   NOP     5
	.line	75
   NOP     5
	.line	76
   NOP     5
	.line	77
           B       .S2     B3                ; |110| 
           NOP             5
           ; BRANCH OCCURS                   ; |110| 
	.endfunc	110,000000000h,0


	.sect	".text"
	.global	_sector_erase_command
	.sym	_sector_erase_command,_sector_erase_command, 32, 2, 0
	.func	112

;******************************************************************************
;* FUNCTION NAME: _sector_erase_command                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,B0,B4                                 *
;*   Regs Used         : A0,A1,A3,A4,A5,B0,B3,B4                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_sector_erase_command:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_sector_address,4, 4, 17, 32
	.sym	_sector_address,4, 4, 4, 32
	.sym	_tempa,20, 4, 4, 32
	.sym	_tempa,4, 4, 4, 32
	.line	6
           MVKL    .S1     0x1415554,A3      ; |117| 
           MVKL    .S1     0xaa00aa,A0       ; |117| 
           MVKH    .S1     0x1415554,A3      ; |117| 
           MVKH    .S1     0xaa00aa,A0       ; |117| 
           STW     .D1T1   A0,*A3            ; |117| 
	.line	7
   NOP     5
	.line	8
   NOP     5
	.line	9
   NOP     5
	.line	10
   NOP     5
	.line	11
   NOP     5
	.line	12
   NOP     5
	.line	13
   NOP     5
	.line	14
   NOP     5
	.line	15
   NOP     5
	.line	16
   NOP     5
	.line	17
   NOP     5
	.line	18
   NOP     5
	.line	19
   NOP     5
	.line	20
   NOP     5
	.line	21
   NOP     5
	.line	22
   NOP     5
	.line	23
   NOP     5
	.line	24
   NOP     5
	.line	25

           MVKL    .S1     0x550055,A3       ; |136| 
||         MVKL    .S2     0x140aaa8,B4      ; |136| 

           MVKH    .S1     0x550055,A3       ; |136| 
||         MVKH    .S2     0x140aaa8,B4      ; |136| 

           STW     .D2T1   A3,*B4            ; |136| 
	.line	26
   NOP     5
	.line	27
   NOP     5
	.line	28
   NOP     5
	.line	29
   NOP     5
	.line	30
   NOP     5
	.line	31
   NOP     5
	.line	32
   NOP     5
	.line	33
   NOP     5
	.line	34
   NOP     5
	.line	35
   NOP     5
	.line	36
   NOP     5
	.line	37
   NOP     5
	.line	38
   NOP     5
	.line	39
   NOP     5
	.line	40
   NOP     5
	.line	41
   NOP     5
	.line	42
   NOP     5
	.line	43
   NOP     5
	.line	44

           MVKL    .S2     0x1415554,B4      ; |155| 
||         MVKL    .S1     0x800080,A5       ; |155| 

           MVKH    .S2     0x1415554,B4      ; |155| 
||         MVKH    .S1     0x800080,A5       ; |155| 

           STW     .D2T1   A5,*B4            ; |155| 
	.line	45
   NOP     5
	.line	46
   NOP     5
	.line	47
   NOP     5
	.line	48
   NOP     5
	.line	49
   NOP     5
	.line	50
   NOP     5
	.line	51
   NOP     5
	.line	52
   NOP     5
	.line	53
   NOP     5
	.line	54
   NOP     5
	.line	55
   NOP     5
	.line	56
   NOP     5
	.line	57
   NOP     5
	.line	58
   NOP     5
	.line	59
   NOP     5
	.line	60
   NOP     5
	.line	61
   NOP     5
	.line	62
   NOP     5
	.line	63
   NOP     5
	.line	64
   NOP     5
	.line	65
   NOP     5
	.line	66
   NOP     5
	.line	67
   NOP     5
	.line	68
   NOP     5
	.line	69
   NOP     5
	.line	70
   NOP     5
	.line	71
   NOP     5
	.line	72
   NOP     5
	.line	73
   NOP     5
	.line	74
   NOP     5
	.line	75
   NOP     5
	.line	76
   NOP     5
	.line	77
           MVKL    .S2     0x1415554,B4      ; |188| 
           MVKH    .S2     0x1415554,B4      ; |188| 
           STW     .D2T1   A0,*B4            ; |188| 
	.line	78
   NOP     5
	.line	79
   NOP     5
	.line	80
   NOP     5
	.line	81
   NOP     5
	.line	82
   NOP     5
	.line	83
   NOP     5
	.line	84
   NOP     5
	.line	85
   NOP     5
	.line	86
   NOP     5
	.line	87
   NOP     5
	.line	88
   NOP     5
	.line	89
   NOP     5
	.line	90
   NOP     5
	.line	91
   NOP     5
	.line	92
   NOP     5
	.line	93
   NOP     5
	.line	94
   NOP     5
	.line	95
   NOP     5
	.line	96
           MVKL    .S2     0x140aaa8,B4      ; |207| 
           MVKH    .S2     0x140aaa8,B4      ; |207| 
           STW     .D2T1   A3,*B4            ; |207| 
	.line	97
   NOP     5
	.line	98
   NOP     5
	.line	99
   NOP     5
	.line	100
   NOP     5
	.line	101
   NOP     5
	.line	102
   NOP     5
	.line	103
   NOP     5
	.line	104
   NOP     5
	.line	105
   NOP     5
	.line	106
   NOP     5
	.line	107
   NOP     5
	.line	108
   NOP     5
	.line	109
   NOP     5
	.line	110
   NOP     5
	.line	111
   NOP     5
	.line	112
   NOP     5
	.line	113
   NOP     5
	.line	114
   NOP     5
	.line	115

           MVKL    .S2     0x300030,B4       ; |226| 
||         ZERO    .D1     A0                ; |226| 

           MVKH    .S2     0x300030,B4       ; |226| 
||         MVKH    .S1     0x1400000,A0      ; |226| 

           STW     .D1T2   B4,*+A0[A4]       ; |226| 
	.line	116
   NOP     5
	.line	117
   NOP     5
	.line	118
   NOP     5
	.line	119
   NOP     5
	.line	120
   NOP     5
	.line	121
   NOP     5
	.line	122
   NOP     5
	.line	123
   NOP     5
	.line	124
   NOP     5
	.line	125
   NOP     5
	.line	126
   NOP     5
	.line	127
   NOP     5
	.line	128
   NOP     5
	.line	129
   NOP     5
	.line	130
   NOP     5
	.line	131
   NOP     5
	.line	132
   NOP     5
	.line	133
   NOP     5
	.line	134
   NOP     5
	.line	136
           ZERO    .D1     A0                ; |247| 
           MVKH    .S1     0x1400000,A0      ; |247| 
           LDW     .D1T1   *+A0[A4],A5       ; |247| 
           MVKL    .S2     0x800080,B4       ; |247| 
           MVKH    .S2     0x800080,B4       ; |247| 
           MVKL    .S1     0x800080,A3       ; |247| 
           MVKH    .S1     0x800080,A3       ; |247| 
           AND     .S2X    B4,A5,B4          ; |247| 
           CMPEQ   .L2X    B4,A3,B0          ; |247| 
   [ B0]   B       .S1     L2                ; |247| 
           SHL     .S1     A4,2,A3           ; |247| 
   [!B0]   ADD     .D1     A3,A0,A3
           NOP             3
           ; BRANCH OCCURS                   ; |247| 
;** --------------------------------------------------------------------------*
	.line	137
           MVKL    .S1     0x800080,A0       ; |248| 
           MVKH    .S1     0x800080,A0       ; |248| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 248
;*      Loop opening brace source line : 249
;*      Loop closing brace source line : 251
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 8
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     1*       0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L1:    
	.line	139
           LDW     .D1T1   *A3,A4            ; |250| 
           NOP             4
           AND     .S1     A0,A4,A4          ; |250| 
	.line	140
           CMPEQ   .L1     A4,A0,A1          ; |251| 
   [!A1]   B       .S1     L1                ; |251| 
           NOP             5
           ; BRANCH OCCURS                   ; |251| 
;** --------------------------------------------------------------------------*
L2:    
	.line	141
           B       .S2     B3                ; |252| 
           NOP             5
           ; BRANCH OCCURS                   ; |252| 
	.endfunc	252,000000000h,0


	.sect	".text"
	.global	_InitFlash
	.sym	_InitFlash,_InitFlash, 32, 2, 0
	.func	254

;******************************************************************************
;* FUNCTION NAME: _InitFlash                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,B0,B1, *
;*                           B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,SP           *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,B0,B1, *
;*                           B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,SP           *
;*   Local Frame Size  : 8 Args + 0 Auto + 32 Save = 40 byte                  *
;******************************************************************************
_InitFlash:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_flash,4, 30, 17, 32
	.sym	_flash,27, 30, 4, 32
	.sym	_i,10, 4, 4, 32
	.sym	_manuf_code,10, 4, 4, 32
	.sym	_dev_code,13, 4, 4, 32
	.sym	_top,12, 4, 4, 32
	.sym	_bottom,11, 4, 4, 32
           STW     .D2T2   B12,*SP--(40)     ; |255| 
           STW     .D2T1   A10,*+SP(12)      ; |255| 
           STW     .D2T1   A11,*+SP(16)      ; |255| 
           STW     .D2T1   A12,*+SP(20)      ; |255| 
           STW     .D2T1   A13,*+SP(24)      ; |255| 
           STW     .D2T2   B3,*+SP(28)       ; |255| 
           STW     .D2T2   B10,*+SP(32)      ; |255| 
           STW     .D2T2   B11,*+SP(36)      ; |255| 
           MV      .S2X    A4,B11            ; |255| 
	.line	7
           MVK     .S2     21845,B4          ; |260| 
           MVKL    .S2     0xf000f0,B10      ; |260| 
           MVKH    .S2     0xf000f0,B10      ; |260| 
           STW     .D2T2   B10,*+B11[B4]     ; |260| 
	.line	9
           B       .S1     _auto_select_command ; |262| 
           MVKL    .S2     RL0,B3            ; |262| 
           MVKH    .S2     RL0,B3            ; |262| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |262| 
	.line	10
           LDW     .D2T1   *B11,A10          ; |263| 
	.line	11
           LDW     .D2T1   *+B11(4),A13      ; |264| 
	.line	12
           B       .S1     _printf           ; |265| 
           MVKL    .S1     SL1+0,A0          ; |265| 
           MVKH    .S1     SL1+0,A0          ; |265| 
           STW     .D2T1   A0,*+SP(4)        ; |265| 
           MVKL    .S2     RL2,B3            ; |265| 

           STW     .D2T1   A10,*+SP(8)       ; |265| 
||         MVKH    .S2     RL2,B3            ; |265| 

RL2:       ; CALL OCCURS                     ; |265| 
	.line	13
           B       .S1     _printf           ; |266| 
           MVKL    .S2     SL2+0,B4          ; |266| 
           MVKH    .S2     SL2+0,B4          ; |266| 
           STW     .D2T1   A13,*+SP(8)       ; |266| 
           MVKL    .S2     RL4,B3            ; |266| 

           STW     .D2T2   B4,*+SP(4)        ; |266| 
||         MVKH    .S2     RL4,B3            ; |266| 

RL4:       ; CALL OCCURS                     ; |266| 
	.line	5
           ZERO    .D1     A12
	.line	6
           ZERO    .D1     A11
	.line	14
           MVKL    .S1     0x10001,A0        ; |267| 
           MVKH    .S1     0x10001,A0        ; |267| 
           CMPEQ   .L1     A10,A0,A1         ; |267| 
   [ A1]   B       .S1     L9                ; |267| 
           NOP             5
           ; BRANCH OCCURS                   ; |267| 
;** --------------------------------------------------------------------------*
	.line	35
           MVKL    .S1     0x40004,A0        ; |288| 
           MVKH    .S1     0x40004,A0        ; |288| 
           CMPEQ   .L1     A10,A0,A1         ; |288| 
   [ A1]   B       .S1     L6                ; |288| 
           NOP             5
           ; BRANCH OCCURS                   ; |288| 
;** --------------------------------------------------------------------------*
	.line	56
           MVKL    .S1     0x200020,A0       ; |309| 
           MVKH    .S1     0x200020,A0       ; |309| 
           CMPEQ   .L1     A10,A0,A1         ; |309| 
   [!A1]   B       .S1     L5                ; |309| 
           NOP             5
           ; BRANCH OCCURS                   ; |309| 
;** --------------------------------------------------------------------------*
	.line	58
           B       .S1     _printf           ; |311| 
           MVKL    .S2     SL3+0,B4          ; |311| 
           MVKL    .S2     RL6,B3            ; |311| 
           MVKH    .S2     SL3+0,B4          ; |311| 
           STW     .D2T2   B4,*+SP(4)        ; |311| 
           MVKH    .S2     RL6,B3            ; |311| 
RL6:       ; CALL OCCURS                     ; |311| 
	.line	59
           MVKL    .S1     0x5b005b,A0       ; |312| 
           MVKH    .S1     0x5b005b,A0       ; |312| 
           CMPEQ   .L1     A13,A0,A1         ; |312| 
   [ A1]   B       .S1     L4                ; |312| 
           NOP             5
           ; BRANCH OCCURS                   ; |312| 
;** --------------------------------------------------------------------------*
	.line	65
           MVKL    .S1     0xd700d7,A0       ; |318| 
           MVKH    .S1     0xd700d7,A0       ; |318| 
           CMPEQ   .L1     A13,A0,A1         ; |318| 
   [ A1]   B       .S1     L3                ; |318| 
           NOP             5
           ; BRANCH OCCURS                   ; |318| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	72
           B       .S1     _printf           ; |325| 
           MVKL    .S2     RL8,B3            ; |325| 
           MVKH    .S2     RL8,B3            ; |325| 
           MVKL    .S1     SL4+0,A0          ; |325| 
           MVKH    .S1     SL4+0,A0          ; |325| 
           STW     .D2T1   A0,*+SP(4)        ; |325| 
RL8:       ; CALL OCCURS                     ; |325| 
	.line	73
           B       .S1     _exit             ; |326| 
           MVKL    .S2     RL10,B3           ; |326| 
           MVKH    .S2     RL10,B3           ; |326| 
           MVK     .S1     0xffffffff,A4     ; |326| 
           NOP             2
RL10:      ; CALL OCCURS                     ; |326| 
;** --------------------------------------------------------------------------*
L3:    
	.line	68
           B       .S1     _printf           ; |321| 
           MVKL    .S2     RL12,B3           ; |321| 
           MVKH    .S2     RL12,B3           ; |321| 
           MVKL    .S1     SL5+0,A0          ; |321| 
           MVKH    .S1     SL5+0,A0          ; |321| 
           STW     .D2T1   A0,*+SP(4)        ; |321| 
RL12:      ; CALL OCCURS                     ; |321| 
	.line	67
           MVK     .S2     0x1,B4            ; |320| 
           MV      .S1X    B4,A12            ; |320| 
	.line	69
           B       .S1     L12               ; |322| 
           NOP             5
           ; BRANCH OCCURS                   ; |322| 
;** --------------------------------------------------------------------------*
L4:    
	.line	62
           B       .S1     _printf           ; |315| 
           MVKL    .S2     RL14,B3           ; |315| 
           MVKH    .S2     RL14,B3           ; |315| 
           MVKL    .S1     SL6+0,A0          ; |315| 
           MVKH    .S1     SL6+0,A0          ; |315| 
           STW     .D2T1   A0,*+SP(4)        ; |315| 
RL14:      ; CALL OCCURS                     ; |315| 
	.line	61
           MVK     .S2     0x1,B4            ; |314| 
           MV      .S1X    B4,A11            ; |314| 
	.line	63
           B       .S1     L12               ; |316| 
           NOP             5
           ; BRANCH OCCURS                   ; |316| 
;** --------------------------------------------------------------------------*
L5:    
;***	; the preceding call never returns
	.line	78
           B       .S1     _printf           ; |331| 
           MVKL    .S2     RL16,B3           ; |331| 
           MVKH    .S2     RL16,B3           ; |331| 
           MVKL    .S1     SL7+0,A0          ; |331| 
           MVKH    .S1     SL7+0,A0          ; |331| 
           STW     .D2T1   A0,*+SP(4)        ; |331| 
RL16:      ; CALL OCCURS                     ; |331| 
	.line	79
           B       .S1     _exit             ; |332| 
           MVKL    .S2     RL18,B3           ; |332| 
           MVKH    .S2     RL18,B3           ; |332| 
           MVK     .S1     0xffffffff,A4     ; |332| 
           NOP             2
RL18:      ; CALL OCCURS                     ; |332| 
;** --------------------------------------------------------------------------*
L6:    
	.line	37
           B       .S1     _printf           ; |290| 
           MVKL    .S2     SL8+0,B4          ; |290| 
           MVKL    .S2     RL20,B3           ; |290| 
           MVKH    .S2     SL8+0,B4          ; |290| 
           STW     .D2T2   B4,*+SP(4)        ; |290| 
           MVKH    .S2     RL20,B3           ; |290| 
RL20:      ; CALL OCCURS                     ; |290| 
	.line	38
           MVKL    .S1     0x225b225b,A0     ; |291| 
           MVKH    .S1     0x225b225b,A0     ; |291| 
           CMPEQ   .L1     A13,A0,A1         ; |291| 
   [ A1]   B       .S1     L8                ; |291| 
           NOP             5
           ; BRANCH OCCURS                   ; |291| 
;** --------------------------------------------------------------------------*
	.line	44
           MVKL    .S1     0x22da22da,A0     ; |297| 
           MVKH    .S1     0x22da22da,A0     ; |297| 
           CMPEQ   .L1     A13,A0,A1         ; |297| 
   [ A1]   B       .S1     L7                ; |297| 
           NOP             5
           ; BRANCH OCCURS                   ; |297| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	51
           B       .S1     _printf           ; |304| 
           MVKL    .S2     RL22,B3           ; |304| 
           MVKH    .S2     RL22,B3           ; |304| 
           MVKL    .S1     SL9+0,A0          ; |304| 
           MVKH    .S1     SL9+0,A0          ; |304| 
           STW     .D2T1   A0,*+SP(4)        ; |304| 
RL22:      ; CALL OCCURS                     ; |304| 
	.line	52
           B       .S1     _exit             ; |305| 
           MVKL    .S2     RL24,B3           ; |305| 
           MVKH    .S2     RL24,B3           ; |305| 
           MVK     .S1     0xffffffff,A4     ; |305| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |305| 
;** --------------------------------------------------------------------------*
L7:    
	.line	47
           B       .S1     _printf           ; |300| 
           MVKL    .S2     RL26,B3           ; |300| 
           MVKH    .S2     RL26,B3           ; |300| 
           MVKL    .S1     SL10+0,A0         ; |300| 
           MVKH    .S1     SL10+0,A0         ; |300| 
           STW     .D2T1   A0,*+SP(4)        ; |300| 
RL26:      ; CALL OCCURS                     ; |300| 
	.line	46
           MVK     .S2     0x1,B4            ; |299| 
           MV      .S1X    B4,A12            ; |299| 
	.line	48
           B       .S1     L12               ; |301| 
           NOP             5
           ; BRANCH OCCURS                   ; |301| 
;** --------------------------------------------------------------------------*
L8:    
	.line	41
           B       .S1     _printf           ; |294| 
           MVKL    .S2     RL28,B3           ; |294| 
           MVKH    .S2     RL28,B3           ; |294| 
           MVKL    .S1     SL11+0,A0         ; |294| 
           MVKH    .S1     SL11+0,A0         ; |294| 
           STW     .D2T1   A0,*+SP(4)        ; |294| 
RL28:      ; CALL OCCURS                     ; |294| 
	.line	40
           MVK     .S2     0x1,B4            ; |293| 
           MV      .S1X    B4,A11            ; |293| 
	.line	42
           B       .S1     L12               ; |295| 
           NOP             5
           ; BRANCH OCCURS                   ; |295| 
;** --------------------------------------------------------------------------*
L9:    
	.line	16
           B       .S1     _printf           ; |269| 
           MVKL    .S2     SL12+0,B4         ; |269| 
           MVKL    .S2     RL30,B3           ; |269| 
           MVKH    .S2     SL12+0,B4         ; |269| 
           STW     .D2T2   B4,*+SP(4)        ; |269| 
           MVKH    .S2     RL30,B3           ; |269| 
RL30:      ; CALL OCCURS                     ; |269| 
	.line	17
           MVKL    .S1     0x225b225b,A0     ; |270| 
           MVKH    .S1     0x225b225b,A0     ; |270| 
           CMPEQ   .L1     A13,A0,A1         ; |270| 
   [ A1]   B       .S1     L11               ; |270| 
           NOP             5
           ; BRANCH OCCURS                   ; |270| 
;** --------------------------------------------------------------------------*
	.line	23
           MVKL    .S1     0x22da22da,A0     ; |276| 
           MVKH    .S1     0x22da22da,A0     ; |276| 
           CMPEQ   .L1     A13,A0,A1         ; |276| 
   [ A1]   B       .S1     L10               ; |276| 
           NOP             5
           ; BRANCH OCCURS                   ; |276| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	30
           B       .S1     _printf           ; |283| 
           MVKL    .S2     RL32,B3           ; |283| 
           MVKH    .S2     RL32,B3           ; |283| 
           MVKL    .S1     SL13+0,A0         ; |283| 
           MVKH    .S1     SL13+0,A0         ; |283| 
           STW     .D2T1   A0,*+SP(4)        ; |283| 
RL32:      ; CALL OCCURS                     ; |283| 
	.line	31
           B       .S1     _exit             ; |284| 
           MVKL    .S2     RL34,B3           ; |284| 
           MVKH    .S2     RL34,B3           ; |284| 
           MVK     .S1     0xffffffff,A4     ; |284| 
           NOP             2
RL34:      ; CALL OCCURS                     ; |284| 
;** --------------------------------------------------------------------------*
L10:    
	.line	26
           B       .S1     _printf           ; |279| 
           MVKL    .S2     RL36,B3           ; |279| 
           MVKH    .S2     RL36,B3           ; |279| 
           MVKL    .S1     SL14+0,A0         ; |279| 
           MVKH    .S1     SL14+0,A0         ; |279| 
           STW     .D2T1   A0,*+SP(4)        ; |279| 
RL36:      ; CALL OCCURS                     ; |279| 
	.line	25
           MVK     .S2     0x1,B4            ; |278| 
           MV      .S1X    B4,A12            ; |278| 
	.line	27
           B       .S1     L12               ; |280| 
           NOP             5
           ; BRANCH OCCURS                   ; |280| 
;** --------------------------------------------------------------------------*
L11:    
	.line	20
           B       .S1     _printf           ; |273| 
           MVKL    .S2     RL38,B3           ; |273| 
           MVKH    .S2     RL38,B3           ; |273| 
           MVKL    .S1     SL15+0,A0         ; |273| 
           MVKH    .S1     SL15+0,A0         ; |273| 
           STW     .D2T1   A0,*+SP(4)        ; |273| 
RL38:      ; CALL OCCURS                     ; |273| 
	.line	19
           MVK     .S2     0x1,B4            ; |272| 
           MV      .S1X    B4,A11            ; |272| 
;** --------------------------------------------------------------------------*
L12:    
	.line	82
           MVK     .S2     21845,B4          ; |335| 
           STW     .D2T2   B10,*+B11[B4]     ; |335| 
	.line	84
           MV      .D1     A11,A1
   [!A1]   B       .S1     L13               ; |337| 
           NOP             5
           ; BRANCH OCCURS                   ; |337| 
;** --------------------------------------------------------------------------*
	.line	86
           B       .S1     _sector_erase_command ; |339| 
           MVKL    .S2     RL40,B3           ; |339| 
           MVKH    .S2     RL40,B3           ; |339| 
           MVK     .S1     0x2000,A4         ; |339| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |339| 
	.line	87
           B       .S1     _printf           ; |340| 
           MVK     .S2     8192,B4           ; |340| 
           MVKL    .S1     SL16+0,A10        ; |340| 
           STW     .D2T2   B4,*+SP(8)        ; |340| 

           MVKL    .S2     RL42,B3           ; |340| 
||         MVKH    .S1     SL16+0,A10        ; |340| 

           STW     .D2T1   A10,*+SP(4)       ; |340| 
||         MVKH    .S2     RL42,B3           ; |340| 

RL42:      ; CALL OCCURS                     ; |340| 
	.line	88
           MVK     .S2     1365,B4           ; |341| 
           STW     .D2T2   B10,*+B11[B4]     ; |341| 
	.line	89
           B       .S1     _sector_erase_command ; |342| 
           MVKL    .S2     RL44,B3           ; |342| 
           MVKH    .S2     RL44,B3           ; |342| 
           MVK     .S1     0x3000,A4         ; |342| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |342| 
	.line	90
           B       .S1     _printf           ; |343| 
           STW     .D2T1   A10,*+SP(4)       ; |343| 
           MVK     .S2     12288,B4          ; |343| 
           MVKL    .S2     RL46,B3           ; |343| 
           STW     .D2T2   B4,*+SP(8)        ; |343| 
           MVKH    .S2     RL46,B3           ; |343| 
RL46:      ; CALL OCCURS                     ; |343| 
	.line	91
           MVK     .S2     1365,B4           ; |344| 
           STW     .D2T2   B10,*+B11[B4]     ; |344| 
	.line	92
           B       .S1     _sector_erase_command ; |345| 
           MVKL    .S2     RL48,B3           ; |345| 
           MVKH    .S2     RL48,B3           ; |345| 
           MVK     .S1     0x4000,A4         ; |345| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |345| 
	.line	93
           B       .S1     _printf           ; |346| 
           MVKL    .S2     RL50,B3           ; |346| 
           STW     .D2T1   A10,*+SP(4)       ; |346| 
           MVK     .S2     16384,B4          ; |346| 
           STW     .D2T2   B4,*+SP(8)        ; |346| 
           MVKH    .S2     RL50,B3           ; |346| 
RL50:      ; CALL OCCURS                     ; |346| 
	.line	94
           MVK     .S2     1365,B4           ; |347| 
           STW     .D2T2   B10,*+B11[B4]     ; |347| 
;** --------------------------------------------------------------------------*
L13:    
	.line	96

           MVK     .S2     1365,B12          ; |353| 
||         MVK     .S1     8192,A11          ; |354| 
||         ZERO    .D1     A10               ; |349| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: loop contains a call
;*----------------------------------------------------------------------------*
L14:    
	.line	98
           B       .S1     _sector_erase_command ; |351| 
           MVKL    .S2     RL52,B3           ; |351| 
           MVKH    .S2     RL52,B3           ; |351| 
           MV      .D1     A10,A4            ; |351| 
           NOP             2
RL52:      ; CALL OCCURS                     ; |351| 
	.line	99
           B       .S1     _printf           ; |352| 
           MVKL    .S2     SL16+0,B4         ; |352| 
           MVKH    .S2     SL16+0,B4         ; |352| 
           STW     .D2T1   A10,*+SP(8)       ; |352| 
           MVKL    .S2     RL54,B3           ; |352| 

           STW     .D2T2   B4,*+SP(4)        ; |352| 
||         MVKH    .S2     RL54,B3           ; |352| 

RL54:      ; CALL OCCURS                     ; |352| 
	.line	100
           STW     .D2T2   B10,*+B11[B12]    ; |353| 
	.line	101
           ZERO    .D1     A0                ; |354| 

           ADDAW   .D1     A10,A11,A10       ; |354| 
||         MVKH    .S1     0x80000,A0        ; |354| 

           CMPLT   .L1     A10,A0,A1         ; |354| 
   [ A1]   B       .S1     L14               ; |354| 
           NOP             5
           ; BRANCH OCCURS                   ; |354| 
;** --------------------------------------------------------------------------*
	.line	102
           MV      .D1     A12,A1
   [!A1]   B       .S1     L15               ; |355| 
           NOP             5
           ; BRANCH OCCURS                   ; |355| 
;** --------------------------------------------------------------------------*
	.line	104
           B       .S1     _sector_erase_command ; |357| 
           MVKL    .S2     RL56,B3           ; |357| 
           ZERO    .D1     A0                ; |357| 
           MVKH    .S2     RL56,B3           ; |357| 
           SET     .S1     A0,0xe,0x11,A4    ; |357| 
           NOP             1
RL56:      ; CALL OCCURS                     ; |357| 
	.line	105
           B       .S1     _printf           ; |358| 
           ZERO    .D2     B4                ; |358| 
           MVKL    .S1     SL16+0,A10        ; |358| 

           SET     .S2     B4,0xe,0x11,B4    ; |358| 
||         MVKH    .S1     SL16+0,A10        ; |358| 

           STW     .D2T1   A10,*+SP(4)       ; |358| 
||         MVKL    .S2     RL58,B3           ; |358| 

           STW     .D2T2   B4,*+SP(8)        ; |358| 
||         MVKH    .S2     RL58,B3           ; |358| 

RL58:      ; CALL OCCURS                     ; |358| 
	.line	106
           MVK     .S2     1365,B4           ; |359| 
           STW     .D2T2   B10,*+B11[B4]     ; |359| 
	.line	107
           B       .S1     _sector_erase_command ; |360| 
           MVKL    .S2     RL60,B3           ; |360| 
           MVKL    .S1     0x3d000,A4        ; |360| 
           MVKH    .S2     RL60,B3           ; |360| 
           MVKH    .S1     0x3d000,A4        ; |360| 
           NOP             1
RL60:      ; CALL OCCURS                     ; |360| 
	.line	108
           B       .S1     _printf           ; |361| 
           MVKL    .S2     0x3d000,B4        ; |361| 
           MVKL    .S2     RL62,B3           ; |361| 
           STW     .D2T1   A10,*+SP(4)       ; |361| 
           MVKH    .S2     0x3d000,B4        ; |361| 

           STW     .D2T2   B4,*+SP(8)        ; |361| 
||         MVKH    .S2     RL62,B3           ; |361| 

RL62:      ; CALL OCCURS                     ; |361| 
	.line	109
           MVK     .S2     1365,B4           ; |362| 
           STW     .D2T2   B10,*+B11[B4]     ; |362| 
	.line	110
           B       .S1     _sector_erase_command ; |363| 
           ZERO    .D1     A0                ; |363| 
           MVKL    .S2     RL64,B3           ; |363| 
           MVKH    .S2     RL64,B3           ; |363| 
           SET     .S1     A0,0xd,0x11,A4    ; |363| 
           NOP             1
RL64:      ; CALL OCCURS                     ; |363| 
	.line	111
           B       .S1     _printf           ; |364| 
           ZERO    .D2     B4                ; |364| 
           SET     .S2     B4,0xd,0x11,B4    ; |364| 
           STW     .D2T2   B4,*+SP(8)        ; |364| 
           MVKL    .S2     RL66,B3           ; |364| 

           STW     .D2T1   A10,*+SP(4)       ; |364| 
||         MVKH    .S2     RL66,B3           ; |364| 

RL66:      ; CALL OCCURS                     ; |364| 
	.line	112
           MVK     .S2     1365,B4           ; |365| 
           STW     .D2T2   B10,*+B11[B4]     ; |365| 
;** --------------------------------------------------------------------------*
L15:    
	.line	115
           LDW     .D2T2   *+SP(28),B3       ; |368| 
           LDW     .D2T2   *+SP(32),B10      ; |368| 
           LDW     .D2T1   *+SP(24),A13      ; |368| 
           LDW     .D2T1   *+SP(20),A12      ; |368| 
           LDW     .D2T1   *+SP(16),A11      ; |368| 
           LDW     .D2T1   *+SP(12),A10      ; |368| 

           B       .S2     B3                ; |368| 
||         LDW     .D2T2   *+SP(36),B11      ; |368| 

           LDW     .D2T2   *++SP(40),B12     ; |368| 
           NOP             4
           ; BRANCH OCCURS                   ; |368| 
	.endfunc	368,01c083c00h,40


	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	375

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,B0,*
;*                           B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,B13,SP    *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,B0,*
;*                           B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,B13,DP,SP *
;*   Local Frame Size  : 8 Args + 44 Auto + 40 Save = 92 byte                 *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_flash,26, 30, 4, 32
	.sym	_word_data,29, 4, 4, 32
	.sym	_dunno,1, 18, 4, 32
	.sym	_dunno,1, 18, 4, 32
	.sym	_i,12, 4, 1, 32
	.sym	_tempa,16, 4, 1, 32
	.sym	_tempb,20, 4, 1, 32
	.sym	_coff_filename,24, 50, 1, 240,, 30
           STW     .D2T2   B13,*SP--(96)     ; |376| 
           STW     .D2T1   A10,*+SP(60)      ; |376| 
           STW     .D2T1   A11,*+SP(64)      ; |376| 
           STW     .D2T1   A12,*+SP(68)      ; |376| 
           STW     .D2T1   A13,*+SP(72)      ; |376| 
           STW     .D2T1   A14,*+SP(76)      ; |376| 
           STW     .D2T2   B3,*+SP(80)       ; |376| 
           STW     .D2T2   B10,*+SP(84)      ; |376| 
           STW     .D2T2   B11,*+SP(88)      ; |376| 
           STW     .D2T2   B12,*+SP(92)      ; |376| 
	.line	21
           ZERO    .D2     B4                ; |395| 
           MVC     .S2     B4,AMR            ; |395| 
	.line	24

           MVK     .S1     12536,A3          ; |398| 
||         ZERO    .D1     A0                ; |398| 

           MVKH    .S1     0x1800000,A0      ; |398| 
           STW     .D1T1   A3,*A0            ; |398| 
	.line	25
           MVK     .S2     0x30,B5           ; |399| 
           MVKL    .S2     0x1800008,B4      ; |399| 
           MVKH    .S2     0x1800008,B4      ; |399| 
           STW     .D2T2   B5,*B4            ; |399| 
	.line	26

           MVKL    .S2     0x62701920,B4     ; |400| 
||         MVKL    .S1     0x1800004,A0      ; |400| 

           MVKH    .S2     0x62701920,B4     ; |400| 
||         MVKH    .S1     0x1800004,A0      ; |400| 

           STW     .D1T2   B4,*A0            ; |400| 
	.line	27
           MVKL    .S1     0x1800010,A0      ; |401| 
           MVKH    .S1     0x1800010,A0      ; |401| 
           STW     .D1T2   B5,*A0            ; |401| 
	.line	28
           MVKL    .S1     0x1800014,A0      ; |402| 

           MVKH    .S1     0x1800014,A0      ; |402| 
||         MVK     .S2     64,B4             ; |402| 

           STW     .D1T2   B4,*A0            ; |402| 
	.line	29

           MVKL    .S1     0x1800018,A0      ; |403| 
||         MVKL    .S2     0x7114000,B4      ; |403| 

           MVKH    .S1     0x1800018,A0      ; |403| 
||         MVKH    .S2     0x7114000,B4      ; |403| 

           STW     .D1T2   B4,*A0            ; |403| 
	.line	30
           MVKL    .S2     0x180001c,B4      ; |404| 

           MVK     .S1     2343,A0           ; |404| 
||         MVKH    .S2     0x180001c,B4      ; |404| 

           STW     .D2T1   A0,*B4            ; |404| 
	.line	21
           ZERO    .D2     B4                ; |395| 
           MVC     .S2     B4,AMR            ; |395| 
           MVC     .S2     B4,AMR            ; |395| 
           MVC     .S2     B4,AMR            ; |395| 
	.line	32
           B       .S1     _malloc           ; |406| 
           MVKL    .S2     RL68,B3           ; |406| 
           ZERO    .D1     A4                ; |406| 
           MVKH    .S2     RL68,B3           ; |406| 
           MVKH    .S1     0x80000,A4        ; |406| 
           NOP             1
RL68:      ; CALL OCCURS                     ; |406| 
           MV      .D1     A4,A1
           STW     .D2T1   A1,*+DP(_boot_array) ; |406| 
	.line	33
   [!A1]   B       .S1     L30               ; |407| 
           NOP             5
           ; BRANCH OCCURS                   ; |407| 
;** --------------------------------------------------------------------------*
	.line	39
           ZERO    .D2     B4                ; |413| 
           STW     .D2T2   B4,*+SP(12)       ; |413| 
	.line	32
           ZERO    .D2     B12               ; |406| 
           MVKH    .S2     0x80000,B12       ; |406| 
	.line	39
           LDW     .D2T2   *+SP(12),B4       ; |413| 
           ZERO    .D1     A0                ; |413| 
           MVKH    .S1     0x80000,A0        ; |413| 
           MVK     .S2     0xff,B8
           NOP             1
           CMPLT   .L2X    B4,A0,B0          ; |413| 
   [!B0]   B       .S1     L19               ; |413| 
   [ B0]   LDW     .D2T2   *+SP(12),B7       ; (P)  ^ |415| 
   [ B0]   LDW     .D2T2   *+SP(12),B5       ; (P)  ^ |416| 
           NOP             3
           ; BRANCH OCCURS                   ; |413| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0x1,A1

           MV      .D2     B12,B4
||         ZERO    .S2     B9
||         MV      .D1     A1,A2
||         ADD     .L2     1,B5,B6           ; (P)  ^ |416| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 413
;*      Loop opening brace source line : 414
;*      Loop closing brace source line : 416
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 15
;*      Unpartitioned Resource Bound     : 3
;*      Partitioned Resource Bound(*)    : 6
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1     
;*      .S units                     1        0     
;*      .D units                     0        6*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        6*    
;*      Long read paths              0        2     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          2        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        1     
;*      Bound(.L .S .D .LS .LSD)     1        3     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 15 Schedule found with 2 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 1
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
;*   SETUP CODE
;*
;*              MVK             0x1,A1
;*              ZERO            B7
;*              ZERO            B5
;*              ZERO            B9
;*              MV              A1,A2
;*
;*   SINGLE SCHEDULED ITERATION
;*
;*   C86:
;*      [ A1]   LDW     .D2T2   *+SP(12),B7       ;  ^ |415| 
;*      [ A1]   LDW     .D2T2   *+SP(12),B5       ;  ^ |416| 
;*              NOP             4
;*              ADD     .D2     1,B5,B6           ;  ^ |416| 
;*      [ A2]   STW     .D2T2   B6,*+SP(12)       ;  ^ |416| 
;*      [ A2]   LDW     .D2T2   *+SP(12),B9       ;  ^ |416| 
;*              LDW     .D2T2   *+DP(_boot_array),B6 ; |415| 
;*              NOP             3
;*              CMPLT   .L2     B9,B4,B0          ;  ^ |416| 
;*      [ A1]   STB     .D2T2   B8,*+B7[B6]       ; |415| 
;*   || [!B0]   ZERO    .D1     A1                ;  ^ 
;*              NOP             1
;*      [ A1]   B       .S1     C86               ; |416| 
;*              NOP             4
;*              MV      .D1     A1,A2             ; Inserted to split a long life
;*              ; BRANCH OCCURS                   ; |416| 
;*----------------------------------------------------------------------------*
L16:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L17:    ; PIPED LOOP KERNEL
   [ A2]   STW     .D2T2   B6,*+SP(12)       ;  ^ |416| 
   [ A2]   LDW     .D2T2   *+SP(12),B9       ;  ^ |416| 
           LDW     .D2T2   *+DP(_boot_array),B6 ; |415| 
           NOP             3
           CMPLT   .L2     B9,B4,B0          ;  ^ |416| 

   [ A1]   STB     .D2T2   B8,*+B7[B6]       ; |415| 
|| [!B0]   ZERO    .D1     A1                ;  ^ 

   [ A1]   LDW     .D2T2   *+SP(12),B7       ; @ ^ |415| 

   [ A1]   B       .S1     L17               ; |416| 
|| [ A1]   LDW     .D2T2   *+SP(12),B5       ; @ ^ |416| 

           NOP             4

           MV      .D1     A1,A2             ; Inserted to split a long life
||         ADD     .D2     1,B5,B6           ; @ ^ |416| 

;** --------------------------------------------------------------------------*
L18:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MV      .D2     B4,B12
;** --------------------------------------------------------------------------*
L19:    
	.line	45
           B       .S1     _printf           ; |419| 
           MVKL    .S2     SL17+0,B4         ; |419| 
           MVKL    .S2     RL70,B3           ; |419| 
           MVKH    .S2     SL17+0,B4         ; |419| 
           STW     .D2T2   B4,*+SP(4)        ; |419| 
           MVKH    .S2     RL70,B3           ; |419| 
RL70:      ; CALL OCCURS                     ; |419| 
	.line	46
           B       .S1     _gets             ; |420| 
           ADD     .D2     SP,24,B4          ; |420| 
           MVKL    .S2     RL72,B3           ; |420| 
           MV      .S1X    B4,A4             ; |420| 
           MVKH    .S2     RL72,B3           ; |420| 
           NOP             1
RL72:      ; CALL OCCURS                     ; |420| 
           MV      .D1     A4,A1
	.line	47
   [!A1]   B       .S1     L29               ; |421| 
           NOP             5
           ; BRANCH OCCURS                   ; |421| 
;** --------------------------------------------------------------------------*
	.line	53
           B       .S1     _fopen            ; |427| 
           MVKL    .S2     SL18+0,B10        ; |427| 
           MVKL    .S2     RL74,B3           ; |427| 
           MVKH    .S2     SL18+0,B10        ; |427| 
           ADD     .D2     SP,24,B4          ; |427| 

           MV      .D2     B10,B4
||         MVKH    .S2     RL74,B3           ; |427| 
||         MV      .S1X    B4,A4             ; |427| 

RL74:      ; CALL OCCURS                     ; |427| 
           MV      .D1     A4,A1
   [!A1]   B       .S1     L28               ; |427| 
           STW     .D2T1   A1,*+DP(_fin)     ; |427| 
           NOP             4
           ; BRANCH OCCURS                   ; |427| 
;** --------------------------------------------------------------------------*
	.line	59
           MVK     .S1     1,A0              ; |433| 
           STW     .D2T1   A0,*+DP(_bootloader) ; |433| 
	.line	60
           B       .S1     _cload            ; |434| 
           MVKL    .S2     RL76,B3           ; |434| 
           ADD     .D2     SP,24,B4          ; |434| 
           MVKH    .S2     RL76,B3           ; |434| 
           MV      .S1X    B4,A4             ; |434| 
           NOP             1
RL76:      ; CALL OCCURS                     ; |434| 
	.line	62
           B       .S1     _fclose           ; |436| 
           LDW     .D2T1   *+DP(_fin),A4     ; |436| 
           MVKL    .S2     RL78,B3           ; |436| 
           MVKH    .S2     RL78,B3           ; |436| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |436| 
	.line	66
           B       .S1     _printf           ; |440| 
           MVKL    .S2     RL80,B3           ; |440| 
           MVKH    .S2     RL80,B3           ; |440| 
           MVKL    .S1     SL19+0,A0         ; |440| 
           MVKH    .S1     SL19+0,A0         ; |440| 
           STW     .D2T1   A0,*+SP(4)        ; |440| 
RL80:      ; CALL OCCURS                     ; |440| 
	.line	67
           B       .S1     _gets             ; |441| 
           ADD     .D2     SP,24,B4          ; |441| 
           MVKL    .S2     RL82,B3           ; |441| 
           MV      .S1X    B4,A4             ; |441| 
           MVKH    .S2     RL82,B3           ; |441| 
           NOP             1
RL82:      ; CALL OCCURS                     ; |441| 
           MV      .D1     A4,A1
	.line	68
   [!A1]   B       .S1     L27               ; |442| 
           NOP             5
           ; BRANCH OCCURS                   ; |442| 
;** --------------------------------------------------------------------------*
	.line	75
           LDB     .D2T2   *+SP(24),B0       ; |449| 
           NOP             4
   [!B0]   B       .S1     L21               ; |449| 
           NOP             5
           ; BRANCH OCCURS                   ; |449| 
;** --------------------------------------------------------------------------*
	.line	77
           B       .S1     _fopen            ; |451| 
           MVKL    .S2     RL84,B3           ; |451| 
           ADD     .D2     SP,24,B5          ; |451| 
           MVKH    .S2     RL84,B3           ; |451| 
           MV      .S1X    B5,A4             ; |451| 
           MV      .D2     B10,B4            ; |451| 
RL84:      ; CALL OCCURS                     ; |451| 
           MV      .D1     A4,A1
   [ A1]   B       .S1     L20               ; |451| 
           STW     .D2T1   A1,*+DP(_fin)     ; |451| 
           NOP             4
           ; BRANCH OCCURS                   ; |451| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	79
           B       .S1     _printf           ; |453| 
           ADD     .D2     SP,24,B4          ; |453| 
           MVKL    .S1     SL20+0,A0         ; |453| 
           STW     .D2T2   B4,*+SP(8)        ; |453| 

           MVKH    .S1     SL20+0,A0         ; |453| 
||         MVKL    .S2     RL86,B3           ; |453| 

           STW     .D2T1   A0,*+SP(4)        ; |453| 
||         MVKH    .S2     RL86,B3           ; |453| 

RL86:      ; CALL OCCURS                     ; |453| 
	.line	80
           B       .S1     _exit             ; |454| 
           MVKL    .S2     RL88,B3           ; |454| 
           MVKH    .S2     RL88,B3           ; |454| 
           MVK     .S1     0x1,A4            ; |454| 
           NOP             2
RL88:      ; CALL OCCURS                     ; |454| 
;** --------------------------------------------------------------------------*
L20:    
	.line	83
           ZERO    .D1     A0                ; |457| 
           STW     .D2T1   A0,*+DP(_bootloader) ; |457| 
	.line	84
           B       .S1     _cload            ; |458| 
           MVKL    .S2     RL90,B3           ; |458| 
           ADD     .D2     SP,24,B4          ; |458| 
           MVKH    .S2     RL90,B3           ; |458| 
           MV      .S1X    B4,A4             ; |458| 
           NOP             1
RL90:      ; CALL OCCURS                     ; |458| 
	.line	86
           B       .S1     _fclose           ; |460| 
           LDW     .D2T1   *+DP(_fin),A4     ; |460| 
           MVKL    .S2     RL92,B3           ; |460| 
           MVKH    .S2     RL92,B3           ; |460| 
           NOP             2
RL92:      ; CALL OCCURS                     ; |460| 
	.line	89
           LDW     .D2T2   *+DP(_app),B4     ; |463| 
           NOP             4
           ADD     .D2     3,B4,B4           ; |463| 
           SHRU    .S2     B4,2,B4           ; |463| 
           STW     .D2T2   B4,*+SP(12)       ; |463| 
	.line	90
           LDW     .D2T2   *+SP(12),B6       ; |464| 
           LDW     .D2T2   *+DP(_boot_array),B5 ; |464| 
           NOP             3
           ADD     .D2     1,B6,B4           ; |464| 

           ZERO    .S2     B4                ; |464| 
||         STW     .D2T2   B4,*+SP(12)       ; |464| 

           STW     .D2T2   B4,*+B5[B6]       ; |464| 
	.line	91
           LDW     .D2T2   *+SP(12),B6       ; |465| 
           NOP             4

           ADD     .S2     1,B6,B7           ; |465| 
||         STW     .D2T2   B4,*+B5[B6]       ; |465| 

           STW     .D2T2   B7,*+SP(12)       ; |465| 
	.line	92
           LDW     .D2T2   *+SP(12),B4       ; |466| 
           MVKL    .S1     0xdeafd00f,A0     ; |466| 
           MVKH    .S1     0xdeafd00f,A0     ; |466| 
           NOP             2

           STW     .D2T1   A0,*+B5[B4]       ; |466| 
||         ADD     .S2     1,B4,B6           ; |466| 

           STW     .D2T2   B6,*+SP(12)       ; |466| 
	.line	93
           LDW     .D2T2   *+SP(12),B6       ; |467| 
           LDW     .D2T2   *+DP(_entry_point),B4 ; |467| 
           NOP             4

           ADD     .S2     1,B6,B5           ; |467| 
||         STW     .D2T2   B4,*+B5[B6]       ; |467| 

           STW     .D2T2   B5,*+SP(12)       ; |467| 
	.line	94
           B       .S1     _printf           ; |468| 
           MVKL    .S2     SL21+0,B5         ; |468| 
           MVKH    .S2     SL21+0,B5         ; |468| 
           STW     .D2T2   B5,*+SP(4)        ; |468| 
           MVKL    .S2     RL94,B3           ; |468| 

           STW     .D2T2   B4,*+SP(8)        ; |468| 
||         MVKH    .S2     RL94,B3           ; |468| 

RL94:      ; CALL OCCURS                     ; |468| 
;** --------------------------------------------------------------------------*
L21:    
	.line	3
           MVK     .S1     0xffffd555,A14    ; |377| 
	.line	100
           B       .S1     _InitFlash        ; |474| 
           MVKL    .S2     RL96,B3           ; |474| 
           ZERO    .D2     B10               ; |474| 
           MVKH    .S2     0x1400000,B10     ; |474| 
           MV      .S1X    B10,A4            ; |474| 
           MVKH    .S2     RL96,B3           ; |474| 
RL96:      ; CALL OCCURS                     ; |474| 
	.line	102

           B       .S1     _printf           ; |476| 
||         LDW     .D2T2   *+DP(_top),B4     ; |476| 

           MVKL    .S1     SL22+0,A0         ; |476| 
           MVKH    .S1     SL22+0,A0         ; |476| 
           STW     .D2T1   A0,*+SP(4)        ; |476| 
           MVKL    .S2     RL98,B3           ; |476| 

           STW     .D2T2   B4,*+SP(8)        ; |476| 
||         MVKH    .S2     RL98,B3           ; |476| 

RL98:      ; CALL OCCURS                     ; |476| 
	.line	103
           ZERO    .D2     B4                ; |477| 
           STW     .D2T2   B4,*+SP(12)       ; |477| 
           LDW     .D2T2   *+SP(12),B4       ; |477| 
           NOP             4
           CMPLT   .L2     B4,B12,B0         ; |477| 
   [!B0]   B       .S1     L26               ; |477| 
   [ B0]   MVKL    .S1     0xaa00aa,A11
   [ B0]   MVKL    .S1     0x550055,A12
   [ B0]   MVKL    .S1     0xa000a0,A13
   [ B0]   MVKH    .S1     0xaa00aa,A11

   [ B0]   MVKL    .S2     0x800080,B11
|| [ B0]   MVKH    .S1     0x550055,A12

           ; BRANCH OCCURS                   ; |477| 
;** --------------------------------------------------------------------------*

           MVKH    .S1     0xa000a0,A13
||         MVKH    .S2     0x800080,B11

	.line	3
           MVKL    .S1     0x1415554,A10     ; |377| 
           MVKH    .S1     0x1415554,A10     ; |377| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L22
;** --------------------------------------------------------------------------*
L22:    
	.line	105
           LDW     .D2T2   *+SP(12),B4       ; |479| 
           NOP             4
           EXTU    .S2     B4,21,21,B0       ; |479| 
   [ B0]   B       .S1     L23               ; |479| 
           NOP             5
           ; BRANCH OCCURS                   ; |479| 
;** --------------------------------------------------------------------------*
	.line	107

           B       .S1     _printf           ; |481| 
||         LDW     .D2T2   *+SP(12),B4       ; |481| 

           MVKL    .S1     SL23+0,A0         ; |481| 
           MVKH    .S1     SL23+0,A0         ; |481| 
           STW     .D2T1   A0,*+SP(4)        ; |481| 
           MVKL    .S2     RL100,B3          ; |481| 

           STW     .D2T2   B4,*+SP(8)        ; |481| 
||         MVKH    .S2     RL100,B3          ; |481| 

RL100:     ; CALL OCCURS                     ; |481| 
;** --------------------------------------------------------------------------*
L23:    
	.line	109
           STW     .D1T1   A11,*A10          ; |483| 
	.line	110
           B       .S1     _wait_100         ; |484| 
           MVKL    .S2     RL102,B3          ; |484| 
           MVKH    .S2     RL102,B3          ; |484| 
           NOP             3
RL102:     ; CALL OCCURS                     ; |484| 
	.line	111
           STW     .D1T1   A12,*+A10[A14]    ; |485| 
	.line	112
           B       .S1     _wait_100         ; |486| 
           MVKL    .S2     RL104,B3          ; |486| 
           MVKH    .S2     RL104,B3          ; |486| 
           NOP             3
RL104:     ; CALL OCCURS                     ; |486| 
	.line	113
           STW     .D1T1   A13,*A10          ; |487| 
	.line	114
           B       .S1     _wait_100         ; |488| 
           MVKL    .S2     RL106,B3          ; |488| 
           MVKH    .S2     RL106,B3          ; |488| 
           NOP             3
RL106:     ; CALL OCCURS                     ; |488| 
	.line	115
           LDW     .D2T2   *+SP(12),B8       ; |489| 
           LDW     .D2T2   *+SP(12),B7       ; |489| 
           LDW     .D2T2   *+DP(_boot_array),B4 ; |489| 
           LDW     .D2T2   *+SP(12),B6       ; |489| 
           LDW     .D2T2   *+SP(12),B5       ; |489| 
           NOP             2
           ADD     .D2     B4,B7,B7          ; |489| 

           LDBU    .D2T2   *+B7(1),B6        ; |489| 
||         ADD     .S2     B4,B6,B7          ; |489| 

           LDBU    .D2T2   *+B8[B4],B8       ; |489| 

           LDBU    .D2T2   *+B7(2),B4        ; |489| 
||         ADD     .S2     B4,B5,B5          ; |489| 

           LDBU    .D2T2   *+B5(3),B5        ; |489| 
           NOP             2
           SHL     .S2     B6,8,B6           ; |489| 

           SHL     .S2     B4,16,B4          ; |489| 
||         OR      .L2     B6,B8,B6          ; |489| 

           OR      .L2     B4,B6,B5          ; |489| 
||         SHL     .S2     B5,24,B4          ; |489| 

           OR      .S2     B4,B5,B13         ; |489| 
	.line	117
           LDW     .D2T2   *+SP(12),B4       ; |491| 
           NOP             4
           SHR     .S2     B4,2,B4           ; |491| 
           STW     .D2T2   B13,*+B10[B4]     ; |491| 
	.line	118
           B       .S1     _wait_100         ; |492| 
           MVKL    .S2     RL108,B3          ; |492| 
           MVKH    .S2     RL108,B3          ; |492| 
           NOP             3
RL108:     ; CALL OCCURS                     ; |492| 
	.line	120
           LDW     .D2T2   *+SP(12),B4       ; |494| 
           NOP             4
           SHR     .S2     B4,2,B4           ; |494| 
           LDW     .D2T2   *+B10[B4],B4      ; |494| 
           NOP             4
           AND     .S2     B11,B4,B4         ; |494| 
           STW     .D2T2   B4,*+SP(16)       ; |494| 
	.line	121
   nop
	.line	122
   nop
	.line	123
   nop
	.line	124
   nop
	.line	126
           AND     .S2     B11,B13,B4        ; |500| 
           STW     .D2T2   B4,*+SP(20)       ; |500| 
	.line	128
           LDW     .D2T2   *+SP(20),B5       ; |502| 
           LDW     .D2T2   *+SP(16),B4       ; |502| 
           NOP             4
           CMPEQ   .L2     B4,B5,B0          ; |502| 
   [ B0]   B       .S1     L25               ; |502| 
           NOP             5
           ; BRANCH OCCURS                   ; |502| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 502
;*      Loop opening brace source line : 503
;*      Loop closing brace source line : 505
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 21
;*      Unpartitioned Resource Bound     : 3
;*      Partitioned Resource Bound(*)    : 5
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1     
;*      .S units                     1        1     
;*      .D units                     0        5*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        5*    
;*      Long read paths              0        1     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        1     (.L or .S unit)
;*      Addition ops (.LSD)          5        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        2     
;*      Bound(.L .S .D .LS .LSD)     2        3     
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L24:    
	.line	130
           LDW     .D2T2   *+SP(12),B4       ; |504| 
           NOP             4
           SHR     .S2     B4,2,B4           ; |504| 
           LDW     .D2T2   *+B10[B4],B4      ; |504| 
           NOP             4
           AND     .S2     B11,B4,B4         ; |504| 
           STW     .D2T2   B4,*+SP(16)       ; |504| 
	.line	131
           LDW     .D2T2   *+SP(20),B4       ; |505| 
           LDW     .D2T2   *+SP(16),B5       ; |505| 
           NOP             4
           CMPEQ   .L2     B5,B4,B0          ; |505| 
   [!B0]   B       .S1     L24               ; |505| 
           NOP             5
           ; BRANCH OCCURS                   ; |505| 
;** --------------------------------------------------------------------------*
L25:    
	.line	133
           LDW     .D2T2   *+SP(12),B4       ; |507| 
           NOP             4
           ADD     .D2     4,B4,B4           ; |507| 
           STW     .D2T2   B4,*+SP(12)       ; |507| 
           LDW     .D2T2   *+SP(12),B4       ; |507| 
           NOP             4
           CMPLT   .L2     B4,B12,B0         ; |507| 
   [ B0]   B       .S1     L22               ; |507| 
           NOP             5
           ; BRANCH OCCURS                   ; |507| 
;** --------------------------------------------------------------------------*
L26:    
	.line	135
           B       .S1     _printf           ; |509| 
           MVKL    .S2     RL110,B3          ; |509| 
           MVKH    .S2     RL110,B3          ; |509| 
           MVKL    .S1     SL24+0,A0         ; |509| 
           MVKH    .S1     SL24+0,A0         ; |509| 
           STW     .D2T1   A0,*+SP(4)        ; |509| 
RL110:     ; CALL OCCURS                     ; |509| 
           B       .S1     L31               ; |509| 
           ZERO    .D1     A4                ; |509| 
           NOP             4
           ; BRANCH OCCURS                   ; |509| 
;** --------------------------------------------------------------------------*
L27:    
;***	; the preceding call never returns
	.line	70
           B       .S1     _printf           ; |444| 
           MVKL    .S2     RL112,B3          ; |444| 
           MVKH    .S2     RL112,B3          ; |444| 
           MVKL    .S1     SL25+0,A0         ; |444| 
           MVKH    .S1     SL25+0,A0         ; |444| 
           STW     .D2T1   A0,*+SP(4)        ; |444| 
RL112:     ; CALL OCCURS                     ; |444| 
	.line	71
           B       .S1     _exit             ; |445| 
           MVKL    .S2     RL114,B3          ; |445| 
           MVKH    .S2     RL114,B3          ; |445| 
           MVK     .S1     0xffffffff,A4     ; |445| 
           NOP             2
RL114:     ; CALL OCCURS                     ; |445| 
;** --------------------------------------------------------------------------*
L28:    
;***	; the preceding call never returns
	.line	55
           B       .S1     _printf           ; |429| 
           ADD     .D2     SP,24,B4          ; |429| 
           MVKL    .S1     SL20+0,A0         ; |429| 
           STW     .D2T2   B4,*+SP(8)        ; |429| 

           MVKH    .S1     SL20+0,A0         ; |429| 
||         MVKL    .S2     RL116,B3          ; |429| 

           STW     .D2T1   A0,*+SP(4)        ; |429| 
||         MVKH    .S2     RL116,B3          ; |429| 

RL116:     ; CALL OCCURS                     ; |429| 
	.line	56
           B       .S1     _exit             ; |430| 
           MVKL    .S2     RL118,B3          ; |430| 
           MVKH    .S2     RL118,B3          ; |430| 
           MVK     .S1     0x1,A4            ; |430| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |430| 
;** --------------------------------------------------------------------------*
L29:    
;***	; the preceding call never returns
	.line	49
           B       .S1     _printf           ; |423| 
           MVKL    .S2     RL120,B3          ; |423| 
           MVKH    .S2     RL120,B3          ; |423| 
           MVKL    .S1     SL25+0,A0         ; |423| 
           MVKH    .S1     SL25+0,A0         ; |423| 
           STW     .D2T1   A0,*+SP(4)        ; |423| 
RL120:     ; CALL OCCURS                     ; |423| 
	.line	50
           B       .S1     _exit             ; |424| 
           MVKL    .S2     RL122,B3          ; |424| 
           MVKH    .S2     RL122,B3          ; |424| 
           MVK     .S1     0xffffffff,A4     ; |424| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |424| 
;** --------------------------------------------------------------------------*
L30:    
;***	; the preceding call never returns
	.line	35
           B       .S1     _printf           ; |409| 
           MVKL    .S2     RL124,B3          ; |409| 
           MVKH    .S2     RL124,B3          ; |409| 
           MVKL    .S1     SL26+0,A0         ; |409| 
           MVKH    .S1     SL26+0,A0         ; |409| 
           STW     .D2T1   A0,*+SP(4)        ; |409| 
RL124:     ; CALL OCCURS                     ; |409| 
	.line	36
           B       .S1     _exit             ; |410| 
           MVKL    .S2     RL126,B3          ; |410| 
           MVKH    .S2     RL126,B3          ; |410| 
           MVK     .S1     0xffffffff,A4     ; |410| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |410| 
;** --------------------------------------------------------------------------*
L31:    
	.line	136
           LDW     .D2T2   *+SP(80),B3       ; |510| 
           LDW     .D2T2   *+SP(88),B11      ; |510| 
           LDW     .D2T2   *+SP(84),B10      ; |510| 
           LDW     .D2T1   *+SP(76),A14      ; |510| 
           LDW     .D2T1   *+SP(72),A13      ; |510| 
           LDW     .D2T1   *+SP(68),A12      ; |510| 
           LDW     .D2T1   *+SP(64),A11      ; |510| 
           LDW     .D2T1   *+SP(60),A10      ; |510| 

           B       .S2     B3                ; |510| 
||         LDW     .D2T2   *+SP(92),B12      ; |510| 

           LDW     .D2T2   *++SP(96),B13     ; |510| 
           NOP             4
           ; BRANCH OCCURS                   ; |510| 
	.endfunc	510,03c087c00h,96


	.sect	".text"
	.global	_wait_100
	.sym	_wait_100,_wait_100, 32, 2, 0
	.func	512

;******************************************************************************
;* FUNCTION NAME: _wait_100                                                   *
;*                                                                            *
;*   Regs Modified     :                                                      *
;*   Regs Used         : B3                                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_wait_100:
;** --------------------------------------------------------------------------*
	.line	2
	.line	3
   nop
	.line	4
   nop
	.line	5
   nop
	.line	6
   nop
	.line	7
   nop
	.line	8
   nop
	.line	9
	.line	10
           B       .S2     B3                ; |521| 
           NOP             5
           ; BRANCH OCCURS                   ; |521| 
	.endfunc	521,000000000h,0


	.sect	".text"
	.global	_wait_20ms
	.sym	_wait_20ms,_wait_20ms, 32, 2, 0
	.func	523

;******************************************************************************
;* FUNCTION NAME: _wait_20ms                                                  *
;*                                                                            *
;*   Regs Modified     : B0                                                   *
;*   Regs Used         : B0,B3                                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_wait_20ms:
;** --------------------------------------------------------------------------*
	.line	2
	.line	4
           MVK     .S2     0x4e20,B0         ; |526| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: bad loop structure
;*----------------------------------------------------------------------------*
L32:    
	.line	6
   nop
	.line	7
   nop
	.line	8
   nop
	.line	9
   nop
	.line	10
   nop
	.line	11
   nop
	.line	12
   nop
	.line	13
   nop
	.line	14
   nop
	.line	15
   nop
	.line	16
   nop
	.line	17
   nop
	.line	18
   nop
	.line	19
   nop
	.line	20
   nop
	.line	21
   nop
	.line	22
   nop
	.line	23
   nop
	.line	24
   nop
	.line	25
   nop
	.line	26
   nop
	.line	27
   nop
	.line	28
   nop
	.line	29
   nop
	.line	30
   nop
	.line	31
   nop
	.line	32
   nop
	.line	33
   nop
	.line	34
   nop
	.line	35
   nop
	.line	36
   nop
	.line	37
   nop
	.line	38
   nop
	.line	39
   nop
	.line	40
   nop
	.line	41
   nop
	.line	42
   nop
	.line	43
   nop
	.line	44
   nop
	.line	45
   nop
	.line	46
   nop
	.line	47
   nop
	.line	48
   nop
	.line	49
   nop
	.line	50
   nop
	.line	51
   nop
	.line	52
   nop
	.line	53
   nop
	.line	54
   nop
	.line	55
   nop
	.line	56
   nop
	.line	57
   nop
	.line	58
   nop
	.line	59
   nop
	.line	60
   nop
	.line	61
   nop
	.line	62
   nop
	.line	63
   nop
	.line	64
   nop
	.line	65
   nop
	.line	66
           SUB     .D2     B0,1,B0           ; |588| 
   [ B0]   B       .S1     L32               ; |588| 
           NOP             5
           ; BRANCH OCCURS                   ; |588| 
;** --------------------------------------------------------------------------*
	.line	68
           B       .S2     B3                ; |590| 
           NOP             5
           ; BRANCH OCCURS                   ; |590| 
	.endfunc	590,000000000h,0


	.sect	".text"
	.global	_getw
	.sym	_getw,_getw, 35, 2, 0
	.func	592

;******************************************************************************
;* FUNCTION NAME: _getw                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 12 Save = 12 byte                  *
;******************************************************************************
_getw:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_fpr,4, 24, 17, 32, $$fake0
	.sym	_fpr,11, 24, 4, 32, $$fake0
	.sym	_data,10, 3, 4, 16
           STW     .D2T2   B3,*SP--(16)      ; |593| 
           STW     .D2T1   A10,*+SP(8)       ; |593| 
           STW     .D2T1   A11,*+SP(12)      ; |593| 
           MV      .D1     A4,A11            ; |593| 
	.line	4
           B       .S1     _getc             ; |595| 
           MVKL    .S2     RL128,B3          ; |595| 
           MVKH    .S2     RL128,B3          ; |595| 
           NOP             3
RL128:     ; CALL OCCURS                     ; |595| 
           EXTU    .S1     A4,24,24,A0       ; |595| 
           EXT     .S1     A0,16,16,A10      ; |595| 
	.line	5
           B       .S1     _getc             ; |596| 
           MVKL    .S2     RL130,B3          ; |596| 
           MV      .D1     A11,A4            ; |596| 
           MVKH    .S2     RL130,B3          ; |596| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |596| 
           EXTU    .S1     A4,24,16,A0
           OR      .S1     A0,A10,A0         ; |596| 
           EXT     .S1     A0,16,16,A10      ; |596| 
	.line	6
           MV      .D1     A10,A4            ; |597| 
	.line	7
           LDW     .D2T1   *+SP(12),A11      ; |598| 
           LDW     .D2T1   *+SP(8),A10       ; |598| 
           LDW     .D2T2   *++SP(16),B3      ; |598| 
           NOP             4
           B       .S2     B3                ; |598| 
           NOP             5
           ; BRANCH OCCURS                   ; |598| 
	.endfunc	598,000080c00h,16


	.sect	".text"
	.global	_mem_write
	.sym	_mem_write,_mem_write, 36, 2, 0
	.func	602

;******************************************************************************
;* FUNCTION NAME: _mem_write                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,B10,B11,SP                           *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,B10,B11,DP,SP                        *
;*   Local Frame Size  : 24 Args + 0 Auto + 16 Save = 40 byte                 *
;******************************************************************************
_mem_write:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_buf,4, 28, 17, 32
	.sym	_size,20, 4, 17, 32
	.sym	_address,6, 14, 17, 32
	.sym	_c,22, 4, 17, 32
	.sym	_address,0, 14, 4, 32
	.sym	_size,27, 4, 4, 32
	.sym	_buf,10, 28, 4, 32
	.sym	_address,26, 14, 4, 32
	.sym	_i,23, 4, 4, 32
	.sym	_i,0, 4, 4, 32
	.sym	_i,0, 4, 4, 32
           STW     .D2T2   B11,*SP--(40)     ; |603| 
           STW     .D2T1   A10,*+SP(28)      ; |603| 
           STW     .D2T2   B3,*+SP(32)       ; |603| 
           STW     .D2T2   B10,*+SP(36)      ; |603| 

           MV      .D2     B4,B11
||         MV      .S2X    A6,B10
||         MV      .D1     A4,A10

	.line	5
           LDW     .D2T2   *+DP(_bootloader),B0 ; |606| 
           NOP             4
   [ B0]   B       .S1     L38               ; |606| 
           NOP             5
           ; BRANCH OCCURS                   ; |606| 
;** --------------------------------------------------------------------------*
	.line	28

           B       .S1     _printf           ; |629| 
||         LDW     .D2T2   *+DP(_app),B4     ; |629| 
||         MVKL    .S2     SL27+0,B6         ; |629| 

           STW     .D2T2   B11,*+SP(12)      ; |629| 
||         MVK     .S2     (_secname-$bss),B5 ; |629| 

           STW     .D2T2   B10,*+SP(16)      ; |629| 
||         MVKH    .S2     SL27+0,B6         ; |629| 

           STW     .D2T2   B6,*+SP(4)        ; |629| 
||         ADD     .S2     DP,B5,B5          ; |629| 

           STW     .D2T2   B5,*+SP(8)        ; |629| 
||         MVKL    .S2     RL132,B3          ; |629| 

           STW     .D2T2   B4,*+SP(20)       ; |629| 
||         MVKH    .S2     RL132,B3          ; |629| 

RL132:     ; CALL OCCURS                     ; |629| 
	.line	29
           LDW     .D2T2   *+DP(_app),B6     ; |630| 
           ZERO    .D1     A0                ; |630| 
           MVKH    .S1     0x80000,A0        ; |630| 
           NOP             2
           ADD     .D2     B6,B11,B4         ; |630| 
           ADD     .D2     12,B4,B4          ; |630| 
           CMPGTU  .L1X    B4,A0,A1          ; |630| 
   [ A1]   B       .S1     L37               ; |630| 
           NOP             5
           ; BRANCH OCCURS                   ; |630| 
;** --------------------------------------------------------------------------*
	.line	36
           ADD     .D2     3,B6,B5           ; |637| 
           SHRU    .S2     B5,2,B7           ; |637| 
	.line	37
           LDW     .D2T2   *+DP(_boot_array),B4 ; |638| 
           SHRU    .S2     B5,2,B5           ; |638| 
           NOP             3
           STW     .D2T2   B10,*+B4[B5]      ; |638| 
	.line	38
           ADD     .D2     1,B7,B7           ; |639| 
           STW     .D2T2   B11,*+B4[B7]      ; |639| 
	.line	39
           MVKL    .S1     0xdeafd00f,A0     ; |640| 

           ADD     .D2     1,B7,B7           ; |640| 
||         MVKH    .S1     0xdeafd00f,A0     ; |640| 

           STW     .D2T1   A0,*+B4[B7]       ; |640| 
	.line	40
           ADD     .S1X    12,B6,A3          ; |641| 
           STW     .D2T1   A3,*+DP(_app)     ; |641| 
	.line	41
           CMPGT   .L1X    B11,0,A1          ; |642| 
   [!A1]   B       .S1     L36               ; |642| 
           MV      .D1     A10,A0
           NOP             4
           ; BRANCH OCCURS                   ; |642| 
;** --------------------------------------------------------------------------*

           SUB     .D2     B11,1,B0
||         MV      .L2X    A3,B4
||         MVC     .S2     CSR,B6

           AND     .S2     -2,B6,B5
           MVC     .S2     B5,CSR            ; interrupts off
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 642
;*      Loop opening brace source line : 642
;*      Loop closing brace source line : 642
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 6
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             2*       1     
;*      Long read paths              1        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     1        2*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 6  Schedule found with 2 iterations in parallel
;*      done
;*
;*      Collapsed epilog stages     : 1
;*      Collapsed prolog stages     : 0
;*      Minimum required memory pad : 0 bytes
;*
;*      For further improvement on this loop, try option -mh1
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
;*   SINGLE SCHEDULED ITERATION
;*
;*   C151:
;*      [ B0]   SUB     .L2     B0,1,B0           ; |642| 
;*              LDW     .D2T2   *+DP(_boot_array),B5 ; |642| 
;*   ||         LDBU    .D1T1   *A0++,A3          ;  ^ |642| 
;*   || [ B0]   B       .S1     C151              ; |642| 
;*              NOP             4
;*              STB     .D2T1   A3,*+B5[B4]       ;  ^ |642| 
;*   ||         ADD     .S2     1,B4,B4           ; |642| 
;*              ; BRANCH OCCURS                   ; |642| 
;*----------------------------------------------------------------------------*
L33:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L34:    ; PIPED LOOP KERNEL

           LDW     .D2T2   *+DP(_boot_array),B5 ; |642| 
||         LDBU    .D1T1   *A0++,A3          ;  ^ |642| 
|| [ B0]   B       .S1     L34               ; |642| 

           NOP             4

           ADD     .S2     1,B4,B4           ; |642| 
||         STB     .D2T1   A3,*+B5[B4]       ;  ^ |642| 
|| [ B0]   SUB     .L2     B0,1,B0           ; @|642| 

;** --------------------------------------------------------------------------*
L35:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MVC     .S2     B6,CSR            ; interrupts on
           MV      .S1X    B4,A3
;** --------------------------------------------------------------------------*
L36:    
	.line	42
           ADD     .D1     3,A3,A0           ; |643| 
           AND     .S1     -4,A0,A0          ; |643| 
           STW     .D2T1   A0,*+DP(_app)     ; |643| 
	.line	43
           B       .S1     L50               ; |644| 
           MVK     .S1     0x1,A4            ; |644| 
           NOP             4
           ; BRANCH OCCURS                   ; |644| 
;** --------------------------------------------------------------------------*
L37:    
;***	; the preceding call never returns
	.line	31
           B       .S1     _printf           ; |632| 
           MVKL    .S2     SL28+0,B5         ; |632| 
           STW     .D2T2   B4,*+SP(8)        ; |632| 

           MVKH    .S2     SL28+0,B5         ; |632| 
||         ZERO    .D1     A0                ; |632| 

           STW     .D2T2   B5,*+SP(4)        ; |632| 
||         MVKH    .S1     0x80000,A0        ; |632| 
||         MVKL    .S2     RL134,B3          ; |632| 

           STW     .D2T1   A0,*+SP(12)       ; |632| 
||         MVKH    .S2     RL134,B3          ; |632| 

RL134:     ; CALL OCCURS                     ; |632| 
	.line	32
           B       .S1     _exit             ; |633| 
           MVKL    .S2     RL136,B3          ; |633| 
           MVKH    .S2     RL136,B3          ; |633| 
           MVK     .S1     0xffffffff,A4     ; |633| 
           NOP             2
RL136:     ; CALL OCCURS                     ; |633| 
;** --------------------------------------------------------------------------*
L38:    
	.line	7
           B       .S1     _printf           ; |608| 
           MVKL    .S2     SL29+0,B5         ; |608| 

           STW     .D2T2   B11,*+SP(12)      ; |608| 
||         MVK     .S2     (_secname-$bss),B4 ; |608| 

           STW     .D2T2   B10,*+SP(16)      ; |608| 
||         MVKH    .S2     SL29+0,B5         ; |608| 

           STW     .D2T2   B5,*+SP(4)        ; |608| 
||         ADD     .L2     DP,B4,B4          ; |608| 
||         MVKL    .S2     RL138,B3          ; |608| 

           STW     .D2T2   B4,*+SP(8)        ; |608| 
||         MVKH    .S2     RL138,B3          ; |608| 

RL138:     ; CALL OCCURS                     ; |608| 
	.line	9
           ZERO    .D1     A0                ; |610| 
           MVKH    .S1     0x10000,A0        ; |610| 
           CMPGTU  .L2X    B10,A0,B0         ; |610| 
   [!B0]   B       .S1     L44               ; |610| 
           NOP             5
           ; BRANCH OCCURS                   ; |610| 
;** --------------------------------------------------------------------------*
	.line	15
           ZERO    .D1     A3                ; |616| 

           MVKH    .S1     0x1400000,A3      ; |616| 
||         ZERO    .D1     A0                ; |616| 

           CMPLTU  .L2X    B10,A3,B4         ; |616| 
||         MVKH    .S1     0x1480000,A0      ; |616| 

           CMPLTU  .L2X    B10,A0,B4         ; |616| 
||         XOR     .S2     1,B4,B5           ; |616| 

           AND     .S2     B4,B5,B0          ; |616| 
   [ B0]   B       .S1     L39               ; |616| 
           NOP             5
           ; BRANCH OCCURS                   ; |616| 
;** --------------------------------------------------------------------------*
	.line	23
           B       .S1     _printf           ; |624| 
           MVKL    .S2     RL140,B3          ; |624| 
           MVKH    .S2     RL140,B3          ; |624| 
           MVKL    .S1     SL30+0,A0         ; |624| 
           MVKH    .S1     SL30+0,A0         ; |624| 
           STW     .D2T1   A0,*+SP(4)        ; |624| 
RL140:     ; CALL OCCURS                     ; |624| 
           B       .S1     L50               ; |624| 
           MVK     .S1     0x1,A4            ; |624| 
           NOP             4
           ; BRANCH OCCURS                   ; |624| 
;** --------------------------------------------------------------------------*
L39:    
	.line	17
           ZERO    .D1     A0                ; |618| 
           MVKH    .S1     0x1400000,A0      ; |618| 
           SUB     .L2X    B10,A0,B10        ; |618| 
	.line	18
           CMPGT   .L2     B11,0,B0          ; |619| 
   [!B0]   B       .S1     L43               ; |619| 
           ZERO    .D1     A0                ; |619| 
           MV      .D2     B10,B4
           MV      .S1X    B11,A4            ; |619| 
           NOP             2
           ; BRANCH OCCURS                   ; |619| 
;** --------------------------------------------------------------------------*

           MV      .D1     A10,A3
||         SUB     .S1     A4,1,A1
||         MVC     .S2     CSR,B7

           AND     .S2     -2,B7,B5
           MVC     .S2     B5,CSR            ; interrupts off
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 619
;*      Loop opening brace source line : 619
;*      Loop closing brace source line : 619
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 6
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        1     
;*      .T address paths             2*       1     
;*      Long read paths              1        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        1     (.L or .S unit)
;*      Addition ops (.LSD)          2        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 6  Schedule found with 2 iterations in parallel
;*      done
;*
;*      Collapsed epilog stages     : 1
;*      Collapsed prolog stages     : 0
;*      Minimum required memory pad : 0 bytes
;*
;*      For further improvement on this loop, try option -mh1
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
;*   SINGLE SCHEDULED ITERATION
;*
;*   C192:
;*      [ A1]   SUB     .S1     A1,1,A1           ; |619| 
;*              LDBU    .D1T1   *+A0[A3],A4       ;  ^ |619| 
;*   ||         LDW     .D2T2   *+DP(_boot_array),B6 ; |619| 
;*   || [ A1]   B       .S1     C192              ; |619| 
;*              NOP             3
;*              ADD     .S2X    B4,A0,B5          ; |619| 
;*              STB     .D2T1   A4,*+B5[B6]       ;  ^ |619| 
;*   ||         ADD     .D1     1,A0,A0           ; |619| 
;*              ; BRANCH OCCURS                   ; |619| 
;*----------------------------------------------------------------------------*
L40:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L41:    ; PIPED LOOP KERNEL

           LDBU    .D1T1   *+A0[A3],A4       ;  ^ |619| 
||         LDW     .D2T2   *+DP(_boot_array),B6 ; |619| 
|| [ A1]   B       .S1     L41               ; |619| 

           NOP             3
           ADD     .S2X    B4,A0,B5          ; |619| 

           ADD     .D1     1,A0,A0           ; |619| 
||         STB     .D2T1   A4,*+B5[B6]       ;  ^ |619| 
|| [ A1]   SUB     .S1     A1,1,A1           ; @|619| 

;** --------------------------------------------------------------------------*
L42:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MVC     .S2     B7,CSR            ; interrupts on
;** --------------------------------------------------------------------------*
L43:    
	.line	19
           LDW     .D2T2   *+DP(_top),B4     ; |620| 
           MVK     .S1     0x1,A4            ; |620| 
           NOP             3
           CMPGTU  .L2     B10,B4,B0         ; |620| 
   [!B0]   B       .S1     L49               ; |620| 
           NOP             5
           ; BRANCH OCCURS                   ; |620| 
;** --------------------------------------------------------------------------*
           B       .S1     L50               ; |620| 
           STW     .D2T2   B10,*+DP(_top)    ; |620| 
           NOP             4
           ; BRANCH OCCURS                   ; |620| 
;** --------------------------------------------------------------------------*
L44:    
	.line	11
           CMPGT   .L2     B11,0,B0          ; |612| 
   [!B0]   B       .S1     L48               ; |612| 
           ZERO    .D1     A0                ; |612| 
           MV      .D2     B10,B4
           MV      .S1X    B11,A4            ; |612| 
           NOP             2
           ; BRANCH OCCURS                   ; |612| 
;** --------------------------------------------------------------------------*

           MV      .D1     A10,A3
||         SUB     .S1     A4,1,A1
||         MVC     .S2     CSR,B7

           AND     .S2     -2,B7,B5
           MVC     .S2     B5,CSR            ; interrupts off
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 612
;*      Loop opening brace source line : 612
;*      Loop closing brace source line : 612
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 6
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        1     
;*      .T address paths             2*       1     
;*      Long read paths              1        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        1     (.L or .S unit)
;*      Addition ops (.LSD)          2        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 6  Schedule found with 2 iterations in parallel
;*      done
;*
;*      Collapsed epilog stages     : 1
;*      Collapsed prolog stages     : 0
;*      Minimum required memory pad : 0 bytes
;*
;*      For further improvement on this loop, try option -mh1
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
;*   SINGLE SCHEDULED ITERATION
;*
;*   C218:
;*      [ A1]   SUB     .S1     A1,1,A1           ; |612| 
;*              LDBU    .D1T1   *+A0[A3],A4       ;  ^ |612| 
;*   ||         LDW     .D2T2   *+DP(_boot_array),B6 ; |612| 
;*   || [ A1]   B       .S1     C218              ; |612| 
;*              NOP             3
;*              ADD     .S2X    B4,A0,B5          ; |612| 
;*              STB     .D2T1   A4,*+B5[B6]       ;  ^ |612| 
;*   ||         ADD     .D1     1,A0,A0           ; |612| 
;*              ; BRANCH OCCURS                   ; |612| 
;*----------------------------------------------------------------------------*
L45:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L46:    ; PIPED LOOP KERNEL

           LDBU    .D1T1   *+A0[A3],A4       ;  ^ |612| 
||         LDW     .D2T2   *+DP(_boot_array),B6 ; |612| 
|| [ A1]   B       .S1     L46               ; |612| 

           NOP             3
           ADD     .S2X    B4,A0,B5          ; |612| 

           ADD     .D1     1,A0,A0           ; |612| 
||         STB     .D2T1   A4,*+B5[B6]       ;  ^ |612| 
|| [ A1]   SUB     .S1     A1,1,A1           ; @|612| 

;** --------------------------------------------------------------------------*
L47:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           MVC     .S2     B7,CSR            ; interrupts on
;** --------------------------------------------------------------------------*
L48:    
	.line	12
           LDW     .D2T2   *+DP(_top),B4     ; |613| 
           NOP             4
           CMPGTU  .L2     B10,B4,B0         ; |613| 
   [ B0]   STW     .D2T2   B10,*+DP(_top)    ; |613| 
;** --------------------------------------------------------------------------*
L49:    
	.line	47
           MVK     .S1     0x1,A4            ; |648| 
;** --------------------------------------------------------------------------*
L50:    
	.line	48
           LDW     .D2T2   *+SP(32),B3       ; |649| 
           LDW     .D2T1   *+SP(28),A10      ; |649| 
           LDW     .D2T2   *+SP(36),B10      ; |649| 
           LDW     .D2T2   *++SP(40),B11     ; |649| 
           NOP             1
           B       .S2     B3                ; |649| 
           NOP             5
           ; BRANCH OCCURS                   ; |649| 
	.endfunc	649,00c080400h,40


	.sect	".text"
	.global	_set_reloc_amount
	.sym	_set_reloc_amount,_set_reloc_amount, 36, 2, 0
	.func	651

;******************************************************************************
;* FUNCTION NAME: _set_reloc_amount                                           *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 0 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_set_reloc_amount:
;** --------------------------------------------------------------------------*
	.line	2
           STW     .D2T2   B3,*SP--(16)      ; |652| 
	.line	3
           B       .S1     _printf           ; |653| 
           MVKL    .S2     RL142,B3          ; |653| 
           MVKH    .S2     RL142,B3          ; |653| 
           MVKL    .S1     SL31+0,A0         ; |653| 
           MVKH    .S1     SL31+0,A0         ; |653| 
           STW     .D2T1   A0,*+SP(4)        ; |653| 
RL142:     ; CALL OCCURS                     ; |653| 
	.line	4
           MVK     .S1     0x1,A4            ; |654| 
	.line	5
           LDW     .D2T2   *++SP(16),B3      ; |655| 
           NOP             4
           B       .S2     B3                ; |655| 
           NOP             5
           ; BRANCH OCCURS                   ; |655| 
	.endfunc	655,000080000h,16


	.sect	".text"
	.global	_lookup_sym
	.sym	_lookup_sym,_lookup_sym, 32, 2, 0
	.func	657

;******************************************************************************
;* FUNCTION NAME: _lookup_sym                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 24 Args + 0 Auto + 4 Save = 28 byte                  *
;******************************************************************************
_lookup_sym:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_indx,4, 5, 17, 40
	.sym	_sym,20, 16, 17, 32
	.sym	_aux,6, 16, 17, 32
	.sym	_aux,6, 16, 4, 32
	.sym	_sym,20, 16, 4, 32
	.sym	_indx,4, 5, 4, 40
           STW     .D2T2   B3,*SP--(32)      ; |658| 
	.line	3
           B       .S1     _printf           ; |659| 
           STW     .D2T1   A4,*+SP(8)        ; |659| 
           STW     .D2T1   A5,*+SP(12)       ; |659| 

           STW     .D2T2   B4,*+SP(16)       ; |659| 
||         MVKL    .S1     SL32+0,A0         ; |659| 

           STW     .D2T1   A6,*+SP(20)       ; |659| 
||         MVKH    .S1     SL32+0,A0         ; |659| 
||         MVKL    .S2     RL144,B3          ; |659| 

           STW     .D2T1   A0,*+SP(4)        ; |659| 
||         MVKH    .S2     RL144,B3          ; |659| 

RL144:     ; CALL OCCURS                     ; |659| 
	.line	4
           LDW     .D2T2   *++SP(32),B3      ; |660| 
           NOP             4
           B       .S2     B3                ; |660| 
           NOP             5
           ; BRANCH OCCURS                   ; |660| 
	.endfunc	660,000080000h,32


	.sect	".text"
	.global	_load_syms
	.sym	_load_syms,_load_syms, 36, 2, 0
	.func	662

;******************************************************************************
;* FUNCTION NAME: _load_syms                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 0 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_load_syms:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_need_reloc,4, 4, 17, 32
	.sym	_need_reloc,4, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |663| 
	.line	3
           B       .S1     _printf           ; |664| 
           STW     .D2T1   A4,*+SP(8)        ; |664| 
           MVKL    .S2     RL146,B3          ; |664| 
           MVKL    .S1     SL33+0,A0         ; |664| 
           MVKH    .S1     SL33+0,A0         ; |664| 

           STW     .D2T1   A0,*+SP(4)        ; |664| 
||         MVKH    .S2     RL146,B3          ; |664| 

RL146:     ; CALL OCCURS                     ; |664| 
	.line	4
           ZERO    .D1     A4                ; |665| 
	.line	5
           LDW     .D2T2   *++SP(16),B3      ; |666| 
           NOP             4
           B       .S2     B3                ; |666| 
           NOP             5
           ; BRANCH OCCURS                   ; |666| 
	.endfunc	666,000080000h,16


	.sect	".text"
	.global	_myalloc
	.sym	_myalloc,_myalloc, 96, 2, 0
	.func	668

;******************************************************************************
;* FUNCTION NAME: _myalloc                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_myalloc:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_size,4, 14, 17, 32
	.sym	_size,0, 14, 4, 32
           STW     .D2T2   B3,*SP--(8)       ; |669| 
	.line	3
           B       .S1     _malloc           ; |670| 
           MVKL    .S2     RL148,B3          ; |670| 
           MVKH    .S2     RL148,B3          ; |670| 
           NOP             3
RL148:     ; CALL OCCURS                     ; |670| 
	.line	4
           LDW     .D2T2   *++SP(8),B3       ; |671| 
           NOP             4
           B       .S2     B3                ; |671| 
           NOP             5
           ; BRANCH OCCURS                   ; |671| 
	.endfunc	671,000080000h,8


	.sect	".text"
	.global	_mralloc
	.sym	_mralloc,_mralloc, 96, 2, 0
	.func	673

;******************************************************************************
;* FUNCTION NAME: _mralloc                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_mralloc:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_p,4, 16, 17, 32
	.sym	_size,20, 14, 17, 32
	.sym	_size,20, 14, 4, 32
	.sym	_p,4, 16, 4, 32
           STW     .D2T2   B3,*SP--(8)       ; |674| 
	.line	3
           B       .S1     _realloc          ; |675| 
           MVKL    .S2     RL150,B3          ; |675| 
           MVKH    .S2     RL150,B3          ; |675| 
           NOP             3
RL150:     ; CALL OCCURS                     ; |675| 
	.line	4
           LDW     .D2T2   *++SP(8),B3       ; |676| 
           NOP             4
           B       .S2     B3                ; |676| 
           NOP             5
           ; BRANCH OCCURS                   ; |676| 
	.endfunc	676,000080000h,8


	.sect	".text"
	.global	_load_msg
	.sym	_load_msg,_load_msg, 32, 2, 0
	.func	678

;******************************************************************************
;* FUNCTION NAME: _load_msg                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 0 Auto + 4 Save = 12 byte                   *
;******************************************************************************
_load_msg:
;** --------------------------------------------------------------------------*
	.line	2
           STW     .D2T2   B3,*SP--(16)      ; |679| 
	.line	3
           B       .S1     _printf           ; |680| 
           MVKL    .S2     RL152,B3          ; |680| 
           MVKH    .S2     RL152,B3          ; |680| 
           MVKL    .S1     SL34+0,A0         ; |680| 
           MVKH    .S1     SL34+0,A0         ; |680| 
           STW     .D2T1   A0,*+SP(4)        ; |680| 
RL152:     ; CALL OCCURS                     ; |680| 
	.line	4
           LDW     .D2T2   *++SP(16),B3      ; |681| 
           NOP             4
           B       .S2     B3                ; |681| 
           NOP             5
           ; BRANCH OCCURS                   ; |681| 
	.endfunc	681,000080000h,16


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"manuf_code = %08x",10,0
SL2:	.string	"dev_code   = %08x",10,0
SL3:	.string	"Both parts are ST.",10,0
SL4:	.string	"Unknown ST devices.",10,0
SL5:	.string	"Both parts are M29W800T - Top Boot Block.",10,0
SL6:	.string	"Both parts are M29W800B - Bottom Boot Block.",10,0
SL7:	.string	"Unknown manufacturer codes.",10,0
SL8:	.string	"Both parts are Fujitsu.",10,0
SL9:	.string	"Unknown Fujitsu devices.",10,0
SL10:	.string	"Both parts are MBM29LV800TA - Top Boot Block.",10,0
SL11:	.string	"Both parts are MBM29LV800BA - Bottom Boot Block.",10,0
SL12:	.string	"Both parts are AMD.",10,0
SL13:	.string	"Unknown AMD devices.",10,0
SL14:	.string	"Both parts are Am29LV800BT - Top Boot Block.",10,0
SL15:	.string	"Both parts are Am29LV800BA - Bottom Boot Block.",10,0
SL16:	.string	"Erased sector %08x",10,0
SL17:	.string	"Enter boot loader COFF filename:",10,0
SL18:	.string	"rb",0
SL19:	.string	"Enter application COFF filename:",10,0
SL20:	.string	"Can't open file %s ",0
SL21:	.string	"Entry point for application is 0x%08x.",10,0
SL22:	.string	"Programming flash (0-0x%08x).",10,0
SL23:	.string	"programming at 0x%08x",10,0
SL24:	.string	"Finished",10,0
SL25:	.string	"error",10,0
SL26:	.string	"Couldn't allocate memory for boot_array",10,0
SL27:	.string	"%-8s: size %5d, address 0x%08x, flash at 0x%08x",10,0
SL28:	.string	"WARNING: cannot program this section: program too large. [%"
	.string	"x:%x]",10,0
SL29:	.string	"%-8s: size %5d, address 0x%08x",10,0
SL30:	.string	"WARNING: cannot store in flash memory!",10,0
SL31:	.string	"SETRELOC",10,0
SL32:	.string	"LOOKUPSYM %d %x %x",10,0
SL33:	.string	"LOADSYMS %d",10,0
SL34:	.string	"LOADMSG",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_fclose
	.global	_fopen
	.global	_printf
	.global	_getc
	.global	_gets
	.global	_malloc
	.global	_realloc
	.global	_exit
	.global	_cload
	.global	_fin
	.global	_entry_point
	.global	_secname

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
	.sym	_size_t, 0, 14, 13, 32
	.stag	$$fake0, 224
	.member	_fd, 0, 4, 8, 32
	.member	_buf, 32, 28, 8, 32
	.member	_pos, 64, 28, 8, 32
	.member	_bufend, 96, 28, 8, 32
	.member	_buff_stop, 128, 28, 8, 32
	.member	_flags, 160, 14, 8, 32
	.member	_index, 192, 4, 8, 32
	.eos
	.sym	_FILE, 0, 8, 13, 224,$$fake0
